mesa (26.2.0-1) experimental; urgency=medium

  * rules: Fix some dri/vulkan defaults.
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Aug 2026 16:44:56 +0300

mesa (26.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * Handle installing dri/vulkan defaults in a somewhat better way.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Aug 2026 18:09:46 +0300

mesa (26.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * mesa-libgallium, mesa-vulkan-drivers.install: Include new drirc
    configs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 17 Jul 2026 16:05:10 +0300

mesa (26.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Aug 2026 10:19:20 +0300

mesa (26.1.5-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Bump directx-headers-dev to the minimum 1.619.1

  [ Simon McVittie ]
  * d/control.in: Reinstate mesa-va-drivers, mesa-vdpau-drivers as transitional
    (Closes: #1127367, #1125977, #1125779)

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Jul 2026 12:17:26 +0300

mesa (26.1.4-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable freedreno on x86 too, for FEX.
  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Jul 2026 10:20:03 +0300

mesa (26.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Jun 2026 16:27:17 +0300

mesa (26.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 May 2026 09:31:59 +0300

mesa (26.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Apr 2026 09:44:53 +0300

mesa (26.1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Apr 2026 09:09:13 +0300

mesa (26.1.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Apr 2026 10:40:58 +0300

mesa (26.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 May 2026 15:26:38 +0300

mesa (26.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 May 2026 09:56:28 +0300

mesa (26.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Apr 2026 09:24:23 +0300

mesa (26.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Apr 2026 09:54:33 +0300

mesa (26.0.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools-dev build-dep for rusticl.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Apr 2026 09:44:08 +0300

mesa (26.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Mar 2026 13:47:11 +0200

mesa (26.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Mar 2026 16:24:27 +0200

mesa (26.0.1-2) unstable; urgency=medium

  [ Christopher Obbard ]
  * Add Lintian override for Teflon delegate plugin location

  [ Simon McVittie ]
  * Revert "control: Drop versions from mesa-va/vdpau-drivers Breaks/Replaces."
    (Closes: #1129207, #1129226)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 28 Feb 2026 10:32:30 +0200

mesa (26.0.1-1) unstable; urgency=medium

  * rules: Enable imagination vulkan driver on arm/riscv. (LP: #2141905)
  * control, rules: Drop armel and mips64el.
  * rules: Add riscv64 to VALGRIND_ARCHS.
  * control: Add riscv64 to mesa-drm-shim archs.
  * control: Drop versions from mesa-va/vdpau-drivers Breaks/Replaces.
  * New upstream release. (Closes: #1129015)
  * control: Add mesa-vdpau-drivers to mesa-libgallium Provides.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Feb 2026 13:48:06 +0200

mesa (26.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Feb 2026 10:18:12 +0200

mesa (26.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Drop upstreamed patches.
  * control: Add libdisplay-info-dev to build-depends for llvm archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Feb 2026 10:56:13 +0200

mesa (25.3.3-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.

  [ Simon McVittie ]
  * Use the upstream solution for #980148

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Jan 2026 14:26:39 +0200

mesa (25.3.2-2) unstable; urgency=medium

  [ Mario Limonciello (AMD) ]
  * Add missing comma for provides (Closes: #1123627)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 19 Dec 2025 07:54:35 +0200

mesa (25.3.2-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Specify versioned build-depends for cbindgen and libx11.

  [ Mario Limonciello (AMD) ]
  * Merge mesa-va-drivers and mesa-vdpau-drivers into mesa-libgallium (LP: #2135270)
  * Drop conflicts on mesa-va-drivers and mesa-vdpau-drivers

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Dec 2025 19:03:53 +0200

mesa (25.3.1-1) experimental; urgency=medium

  * New upstream release.
  * control, rules: Migrate to llvm 21.
  * control: Make mesa-va-drivers replace mesa-vdpau-drivers, as it's
    functionally more or less the same.
  * signing-key.asc: Updated to silence uscan.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Dec 2025 18:54:43 +0200

mesa (25.3.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Bump wayland-protocols build-dep.
  * watch: Fixed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 17 Nov 2025 17:12:32 +0200

mesa (25.3.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Enable anti-lag and screenshot vulkan layers.
  * control: Limit rocket to arm64.
  * Wrap-and-sort.
  * control: Add libpng-dev build-dep for screenshot vulkan layer.
  * mesa-vulkan-drivers: Add mesa-screenshot-control.py.
  * mesa-vulkan-drivers.lintian-overrides: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Nov 2025 12:54:12 +0200

mesa (25.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Add rocket gallium driver for arm. (Closes: #1118656)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 24 Oct 2025 21:38:08 +0300

mesa (25.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * watch: Update to version 5.
  * patches: Drop upstreamed patches.
  * control: Bump build-dep on directx-headers-dev.
  * rules: Add a script to rewrite local rust subprojects to use the
    distro registry.
  * control, rules: Drop mesa-vdpau-drivers, VDPAU got removed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 21 Oct 2025 18:22:18 +0300

mesa (25.2.8-2) unstable; urgency=medium

  * disable-ccs-for-intel-xe2.diff: Dropped, fixed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Dec 2025 15:45:54 +0200

mesa (25.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Dec 2025 15:39:40 +0200

mesa (25.2.7-1) unstable; urgency=medium

  * New upstream release.
  * control: Build-depend on spirv-tools-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Nov 2025 15:48:09 +0200

mesa (25.2.6-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop renaming of rsqrtf, upstreamed.
  * patches: Disable CCS for Intel Xe2. (LP: #2127717)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Oct 2025 11:38:42 +0200

mesa (25.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Oct 2025 13:15:22 +0300

mesa (25.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Oct 2025 18:09:21 +0300

mesa (25.2.3-1) unstable; urgency=medium

  * New upstream release. (LP: #2122654)
  * patches: Fix crash on intel xe with 16kB page size. (Closes: #1115467)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Sep 2025 11:08:11 +0300

mesa (25.2.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/merge-vulkan-driver-manifests.sh: Remove library_arch from JSON manifests
    (Closes: #1110523) (LP: #2121980)

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Fix FTBFS with glibc 2.42.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Sep 2025 08:44:46 +0300

mesa (25.2.1-2) unstable; urgency=medium

  * control, rules: Revert back to llvm-19 as -20 is not in unstable
    yet.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Aug 2025 17:34:14 +0300

mesa (25.2.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Don't clean up .pc dir. (Closes: #1111295)
  * control, rules: Drop quilt again, unnecessary now.

  [ Fabio Pedretti ]
  * rules: Disable sse2 disabling on i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Aug 2025 14:01:57 +0300

mesa (25.2.0-1) experimental; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed and obsolete bits.
  * Drop libd3dadapter9*, gallium-nine is no more.
  * Drop libxatracker*, gallium-xa is gone.
  * Drop libMesaOpenCL from mesa-opencl-icd, clover is gone.
  * control: Bump meson and bindgen build-deps, add librust-rustc-2-hash-dev
    for nvk.
  * libegl-mesa0.symbols: Updated.
  * rules: Drop shared-glapi build option, it's deprecated and doesn't
    do anything.
  * rules: Restore quilt, as source3.0 applies patches when building the
    source.
  * rules: Enable iris/anv on arm64 & ppc64el. (Closes: #1100537)
  * rules: intel-clc is gone.
  * rules: Enable iris/anv on riscv64. (Closes: #1108849)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Aug 2025 14:08:04 +0300

mesa (25.1.7-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Aug 2025 08:56:31 +0300

mesa (25.1.5-1) experimental; urgency=medium

  [ Jianfeng Liu ]
  * d/rules: Enable iris and intel vulkan driver for loong64

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Jul 2025 18:43:48 +0300

mesa (25.1.4-1) experimental; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Jun 2025 10:00:29 +0300

mesa (25.1.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Enable asahi. (Closes: #1102725)
  * Drop libosmesa*, removed upstream.
  * libgbm-dev.install: Updated.
  * libglx-mesa0.symbols: Updated.
  * rules: Migrate to llvm-20.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 May 2025 16:10:14 +0300

mesa (25.0.7-2) unstable; urgency=medium

  * patches: Revert a commit to fix mobian vm's. (Closes: #1107895)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Jun 2025 12:07:43 +0300

mesa (25.0.7-1) unstable; urgency=medium

  * control: Bump rustc dependency to match upstream.
  * control: Bump wayland-protocols build-dep.
  * control: Bump directx-headers build-dep.
  * control: Bump spirv-tools build dep for Intel shader compiler.
  * New upstream release. (Closes: #1105831)
  * rules: Drop obsolete removals.
  * patches: Drop a fix for lp2101817, since 25.0.6 carries a separate
    fix for that.
  * Revert a bad commit which broke Intel Haswell. (LP: #2113508)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Jun 2025 17:14:37 +0300

mesa (25.0.5-2) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * cherry-pick patch from upstream: etnaviv-add-support-for-texelfetch.patch
    (Closes: #1104029)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 May 2025 13:49:49 +0300

mesa (25.0.5-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Share a single JSON manifest per Vulkan driver between all architectures
    (Closes: #980148)

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 May 2025 08:32:56 +0300

mesa (25.0.4-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed gfxstream patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Apr 2025 13:10:18 +0300

mesa (25.0.3-1) unstable; urgency=medium

  * New upstream release.
  * patches: Further fixes for spam caused by gfxstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Apr 2025 13:47:45 +0300

mesa (25.0.2-1) unstable; urgency=medium

  * New upstream release.
  * patches: Fix spam from gfxstream. (Closes: #1100360)
  * rules: Update gentarball target to use xz and the current tree.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Mar 2025 16:52:21 +0200

mesa (25.0.1-2) unstable; urgency=medium

  * rules: Build gfxstream only on 64bit. (Closes: #1099704)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Mar 2025 08:52:20 +0200

mesa (25.0.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Drop python3 dependency from mesa-vulkan-drivers. (Closes:
    #1061658)

  [ Gurchetan Singh ]
  * rules: enable gfxstream

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Mar 2025 13:07:00 +0200

mesa (25.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Make mesa-va-drivers depend on the same version of mesa-
    libgallium. (Closes: #1094190)
  * rules: Enable panvk, it's production quality now. (Closes: #1095969)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 23 Feb 2025 11:22:33 +0200

mesa (25.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Feb 2025 13:06:35 +0200

mesa (25.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Feb 2025 19:30:14 +0200

mesa (25.0.0~rc1-2) experimental; urgency=medium

  * Merge from unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Feb 2025 12:41:43 +0200

mesa (25.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Remove libglapi-mesa, provided by mesa-libgallium now.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 31 Jan 2025 09:54:17 +0200

mesa (24.3.4-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Revert "Build with gcc-12 and -O1 on ppc64el".
  * Add a patch to disable ppc64el assembly code. (Closes: #1092890)

  [ Emilio Pozuelo Monfort ]
  * Release to sid.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 03 Feb 2025 08:40:16 +0100

mesa (24.3.4-2) unstable; urgency=medium

  * Build with gcc-12 and -O1 on ppc64el to workaround segfaults
    on driswSwapBuffers. Thanks Dmitry Shachnev for debugging and
    finding a working compiler and optimization level.
    Closes: #1092890.
  * Drop quilt usage, not needed with source format 3.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 26 Jan 2025 11:39:48 +0100

mesa (24.3.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Make libgl1-mesa-dri depend on the same version of libgbm1.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Jan 2025 19:48:02 +0200

mesa (24.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2025 13:11:38 +0200

mesa (24.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Nov 2024 13:43:07 +0200

mesa (24.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Nov 2024 17:09:15 +0200

mesa (24.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Refreshed.
  * rules: Drop obsoleted config options.
  * libglx-mesa0.symbols: Updated.
  * libgbm1: Add dri_gbm.so.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Nov 2024 15:17:38 +0200

mesa (24.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Nov 2024 13:59:57 +0200

mesa (24.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Nov 2024 14:08:39 +0200

mesa (24.2.6-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * fix-armhf-build.diff: Dropped, upstream.

  [ Fabio Pedretti ]
  * control: lower librust-syn-dev dependency version

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Nov 2024 09:59:12 +0200

mesa (24.2.4-1) unstable; urgency=medium

  * New upstream release.
  * clc-find-opencl-headers.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Oct 2024 22:18:55 +0300

mesa (24.2.3-1) unstable; urgency=medium

  * New upstream release.
  * patches: Fix build on armel/armhf with llvm-19.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Sep 2024 21:57:00 +0300

mesa (24.2.2-1+exp1) experimental; urgency=medium

  * rules: Migrate to llvm-19.
  * clc-find-opencl-headers.diff: Fix finding the opencl headers with
    llvm-19.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2024 14:43:27 +0300

mesa (24.2.2-1) unstable; urgency=medium

  * New upstream release.
  * patches: dril fixes dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Sep 2024 07:13:53 +0300

mesa (24.2.1-4) unstable; urgency=medium

  * patches: Add patches to fix autopkgtest regressions in dril.
  * rules: Enable softpipe everywhere again. (Closes: #1080475)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Sep 2024 11:49:34 +0300

mesa (24.2.1-3) unstable; urgency=medium

  * rules: Set MESON_PACKAGE_CACHE_DIR only for archs where nvk is
    built, fixes armel build.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 10:54:30 +0300

mesa (24.2.1-2) unstable; urgency=medium

  [ WANG Xuerui ]
  * rules: disable TLSDESC for loong64 for now

  [ Fabio Pedretti ]
  * removed unused lua5.4 dependency

  [ Timo Aaltonen ]
  * Add upstream metadata, drop old git url from d/watch.
  * New upstream release.
  * control: Bump librust-syn-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 09:42:42 +0300

mesa (24.2.0-2) experimental; urgency=medium

  * control, rules: Drop armel, mips64el, loong64 from NVK_ARCHS (FTBFS).
  * rules: ORCJIT is enabled by default now, so don't force draw-use-
    llvm=false on riscv64.
  * rules: Fix m68k build, and rework setting buildflags. (Closes:
    #1067207)
  * rules: Really drop ppc64el from optimization workaround, drop sh3 as
    it's an obsolete arch, and for sh4 limit it to just setting a single
    flag.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Aug 2024 09:14:51 +0300

mesa (24.2.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Build llvmpipe only where llvm is enabled.
  * rules: Build softpipe or llvmpipe depending on the arch, not both.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Aug 2024 22:13:47 +0300

mesa (24.2.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add python3-yaml to build-depends.
  * control: Move libclc-NN dependency to LLVM_ARCHS.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Aug 2024 16:34:17 +0300

mesa (24.2.0~rc3-2) experimental; urgency=medium

  * Add ldconfig trigger for mesa-drm-shim.
  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Aug 2024 09:38:13 +0300

mesa (24.2.0~rc3-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * control: Migrate to pkgconf.
  * Add some lintian-overrides.
  * control: Fix drm-shim description.
  * control, rules: Bump llvm to 18. (Closes: #1072901)

  [ Simon McVittie ]
  * d/rules: Replace deprecated swrast with softpipe and llvmpipe
  * d/rules: Replace deprecated glvnd=true with glvnd=enabled
  * libglx-mesa0.symbols: Update for new symbols
  * Add a new private shared library package for libgallium.so

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Aug 2024 11:53:58 +0300

mesa (24.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Aug 2024 22:04:49 +0300

mesa (24.1.5-3) unstable; urgency=medium

  * control: Mark NVK build-deps accordingly.
  * rules: Drop --wrap-mode=default, leftover from previous testing.
    (Closes: #1077729)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Aug 2024 17:45:45 +0300

mesa (24.1.5-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * control, rules: mips64el has latest LLVM already for some time

  [ Timo Aaltonen ]
  * rules: Fix FTBFS by only cleaning some nvk test binaries if they
    actually get built.
  * rules: Add a new NVK_ARCHS which is a subset of RUSTICL_ARCHS, strip
    powerpc, ppc64el and s390x from it.
  * control: Add lua5.4 to build-depends for arm* in order to work
    around FTBFS caused by setting MESON_PACKAGE_CACHE_DIR for nvk.
    (Closes: #1077729)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Aug 2024 11:25:02 +0300

mesa (24.1.5-1) unstable; urgency=medium

  * New upstream release.
  * control, rules: Enable NVK, bump rustc build-dependency. (Closes:
    #1075858)
  * control: Add rustfmt to build-depends.
  * rules: Update clean target.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2024 10:16:13 +0300

mesa (24.1.3-2) unstable; urgency=medium

  [ Christopher Obbard ]
  * mesa-teflon-delegate: Fix library installation path

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Jul 2024 15:53:39 +0300

mesa (24.1.3-1) unstable; urgency=medium

  [ Christopher Obbard ]
  * Package TensorFlow Lite delegate as libteflon (Closes: #1070788)

  [ Timo Aaltonen ]
  * New upstream release.
    - dri: Go back to hard-coded list of RGBA formats (Closes: #1072971)
  * mesa-common-dev.docs: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Jul 2024 12:49:04 +0300

mesa (24.1.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump build-deps on directx-headers-dev, libvdpau-dev,
    wayland-protocols.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Jun 2024 15:23:32 +0300

mesa (24.1.1-2) unstable; urgency=medium

  * rules, control: Revert back to llvm 17. (Closes: #1072941)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 19:59:35 +0300

mesa (24.1.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump build-depends on meson for rusticl.
  * rules, control: Bump llvm to 18. (Closes: #1072901)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 14:39:17 +0300

mesa (24.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * control: Add python3-pycparser to build-depends for armhf, arm64.
    (Closes: #1071222)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 31 May 2024 15:40:01 +0300

mesa (24.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 13:08:02 +0300

mesa (24.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:30:26 +0300

mesa (24.1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 04 May 2024 19:00:30 +0300

mesa (24.1.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2024 09:02:09 +0300

mesa (24.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 12:57:58 +0300

mesa (24.0.7-1) unstable; urgency=medium

  * New upstream release.
  * source: Switch to source format 3.0 (quilt), because upstream
    provides only .xz tarballs. (Closes: #1036176)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:18:58 +0300

mesa (24.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2024 08:39:42 +0300

mesa (24.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Apr 2024 13:13:09 +0300

mesa (24.0.4-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Dropped upstreamed patches.

  [ Fabio Pedretti ]
  * control: libllvmspirvlib-*-dev is needed even with rusticl disabled
    (Closes: #1061287)
  * control: Bump meson build-dep

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Mar 2024 17:59:50 +0200

mesa (24.0.3-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release. (Closes: #1065654)
  * radeon-fix-gnome-shell-crash.diff: Fix a regression crashing
    gnome-shell. (Closes: #1064123)
  * fix-zink-logging.diff: Updated.
  * control: Bump libdrm build-dep. (Closes: #1065304)

  [ Fabio Pedretti ]
  * patches: Drop patch for obsolete powerpcspe arch

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Mar 2024 13:03:15 +0200

mesa (24.0.2-1) unstable; urgency=medium

  * New upstream release.
  * clc-build-fix.diff: Dropped, upstream.
  * fix-zink-logging.diff: Don't log to stderr when zink fails to load.
    (Closes: #1064704)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Feb 2024 09:22:00 +0200

mesa (24.0.1-1) unstable; urgency=medium

  * New upstream release.
  * clc-build-fix.diff: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2024 10:55:39 +0200

mesa (24.0.0-2) experimental; urgency=medium

  * clc-build-fix.diff: Attempt to fix a regression that made requiring
    llvmspirvlib mandatory.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Feb 2024 17:20:59 +0200

mesa (24.0.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #1059782)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2024 09:34:09 +0200

mesa (24.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Attempt to fix failing autopkgtests by changing zink init
    failure logging to a warning instead of an error.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jan 2024 15:53:42 +0200

mesa (24.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 10:42:01 +0200

mesa (24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Drop the zink reverts.
  * rules: Modify video-codecs option to build all codecs. Thanks,
    Safir Secerovic!
  * control, rules: Bump debhelper-compat to 13, drop dh_missing
    override as it's the default now.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jan 2024 19:15:45 +0200

mesa (23.3.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop zink reverts, gtk4 autopkgtest got fixed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2024 09:20:35 +0200

mesa (23.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jan 2024 15:41:39 +0200

mesa (23.3.3-3) unstable; urgency=medium

  * rules: Drop mips64el from RUSTICL_ARCHS too, which would pull llvm-
    spirv-17. (Closes: #1060779)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 09:55:40 +0200

mesa (23.3.3-2) unstable; urgency=medium

  * rules: Drop virtio from armel again, regression due to cleanup.
    (Closes: #1060849)
  * rules: Drop mips64el from LLVM_ARCHS, as llvm-17-dev is still not
    available. (Closes: #1060779)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jan 2024 14:00:26 +0200

mesa (23.3.3-1) unstable; urgency=medium

  * New upstream release.
  * patches, rules: Revert riscv64 back to plain softpipe swrast, drop
    orcjit patch. (Closes: #1060376)
  * patches: Drop d3d12 reverts, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jan 2024 10:10:19 +0200

mesa (23.3.2-2) unstable; urgency=medium

  * patches: Revert two commits on d3d12 that regressed at least swrast.
    (Closes: #1059971, #1060017)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Jan 2024 11:07:26 +0200

mesa (23.3.2-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Refreshed, and dropped an upstreamed patch.

  [ Tao Chen ]
  * Add Loongarch support

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 03 Jan 2024 15:19:43 +0200

mesa (23.3.1-4) unstable; urgency=medium

  * patches: Fix a regression in crocus. (Closes: #1059015)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 23 Dec 2023 12:08:05 +0200

mesa (23.3.1-3) unstable; urgency=medium

  * llvmpipe-add-orcjit.diff: Fix to actually build with llvm-17.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 16 Dec 2023 13:34:32 +0200

mesa (23.3.1-2) unstable; urgency=medium

  * llvmpipe-add-orcjit.diff: Add support for ORCJIT. (Closes: #1058759)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Dec 2023 20:59:48 +0200

mesa (23.3.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed zink patch.
  * patches: Disable zink fallback loading, breaks gtk4 build/tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Dec 2023 13:17:25 +0200

mesa (23.3.0-2) experimental; urgency=medium

  * control: Add libvulkan1 to libgl1-mesa-dri Depends where zink is
    built, since it's loading libvulkan.so.1 directly instead of linking
    to it.
  * 0001-zink-initialize-drm_fd-to-1.patch: Fix GDM startup with the X11
    backend.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Dec 2023 09:23:13 +0200

mesa (23.3.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Drop checking for linux, now that kfreebsd support got
    dropped.
  * rules: Drop a duplicate special case for VULKAN_DRIVERS, and move
    virtio enabling to the correct place.
  * rules: LLVM supports JIT on riscv64 now, attempt to enable llvmpipe
    on it.
  * rules: Sort default config entries and fix indentation.
  * rules: Drop WSL_ARCHS, as it's used only once.
  * rules: Merge two checks for x86 archs.
  * rules: Handle EGL_PLATFORMS like other lists.
  * rules: Drop powerpc from wine archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Dec 2023 11:39:26 +0200

mesa (23.3.0~rc5-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * rules: Fix mangling of the upstream version in clean target to work
    with upstream rc's.

  [ Fabio Pedretti ]
  * control, rules: Bump llvm to 17.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Nov 2023 18:24:29 +0200

mesa (23.3.0~rc4-1) experimental; urgency=medium

  [ Fabio Pedretti ]
  * remove double space
  * use a variable for WSL archs

  [ Timo Aaltonen ]
  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 19 Nov 2023 20:28:57 +0200

mesa (23.3.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Nov 2023 12:02:45 +0200

mesa (23.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * control, rules: Drop kfreebsd.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Nov 2023 15:59:11 +0200

mesa (23.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * fix-clover-build-without-spirv.diff: Dropped, upstream.
  * mesa-common-dev.docs: Updated.
  * libglx-mesa0.symbols: Updated.
  * control: Drop python3-minimal from -vulkan-drivers Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 26 Oct 2023 14:28:22 +0300

mesa (23.2.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump directx-headers-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Sep 2023 08:38:02 +0300

mesa (23.2.0~rc4-1) unstable; urgency=medium

  * New upstream release candidate.
  * egl-wayland-Always-initialise-fd_display_gpu.patch: Dropped,
    upstream.
  * fix-clover-build-without-spirv.diff: Fix clover build.
  * control, rules: Bump llvm to 16. (Closes: #1051680)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 25 Sep 2023 10:01:44 +0300

mesa (23.2.0~rc3-3) unstable; urgency=medium

  * control, rules: Drop mipsel.
  * rules: Update archs which have rustc (add powerpc, ppc64, riscv64,
    x32)
  * egl-wayland-Always-initialise-fd_display_gpu.patch: Re-add the fix
    for gtk4 autopkgtests.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Sep 2023 15:49:02 +0300

mesa (23.2.0~rc3-2) unstable; urgency=medium

  * Upload to unstable.
  * rules: Disable panfrost vulkan driver again as upstream doesn't want
    it shipped yet.
  * rules: Drop virtio from armel, FTBFS.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Sep 2023 11:46:59 +0300

mesa (23.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Add virtio vulkan driver.
  * rules: Enable panfrost vulkan driver on armhf/arm64. (Closes: #1009027)
  * rules: Drop optimization workaround for ppc64el to see if the issues
    are fixed with current toolchain.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Sep 2023 15:28:51 +0300

mesa (23.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Sep 2023 13:32:25 +0300

mesa (23.1.6-1) unstable; urgency=medium

  * New upstream release.
  * fix-gtk4-autpkgtest.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Aug 2023 13:24:03 +0300

mesa (23.1.4-1) unstable; urgency=medium

  [ Diederik de Haas ]
  * Drop transitional libegl1-mesa package (Closes: #1032712)
  * Drop transitional libgles2-mesa package (Closes: #1032718)
  * Drop transitional libwayland-egl1-mesa package (Closes: #1032737)
  * Drop transitional libgl1-mesa-glx package (Closes: #1032738)
  * d/README.source: Update git repo location to Salsa

  [ Timo Aaltonen ]
  * New upstream release.
  * fix-gtk4-autpkgtest.diff: Fix loading swrast driver on wayland.
    (Closes: #1039922)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 28 Jul 2023 17:39:12 +0300

mesa (23.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Jul 2023 17:23:23 +0300

mesa (23.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Jun 2023 11:33:47 +0300

mesa (23.1.1-1) experimental; urgency=medium

  * New upstream release.
  * rules: Set VERSION so that it also includes the packaging
    revision. (LP: #2020604)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 May 2023 11:27:24 +0300

mesa (23.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 May 2023 13:37:15 +0300

mesa (23.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 02 May 2023 14:32:42 +0300

mesa (23.1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Apr 2023 13:29:54 +0300

mesa (23.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Apr 2023 11:51:28 +0300

mesa (23.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 26 Mar 2023 12:25:46 +0300

mesa (23.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 27 Feb 2023 12:30:15 +0200

mesa (23.0.0~rc4-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * copyright: Updated.
  * rusticl-ftbfs.diff: Dropped, upstream.

  [ Joshua Watt ]
  * Add mesa-drm-shim package.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Feb 2023 20:56:43 +0200

mesa (23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Refreshed.
  * rusticl-ftbfs.diff: Fix rusticl dependencies to include valgrind.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Jan 2023 11:20:46 +0200

mesa (22.3.7-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Mar 2023 09:37:36 +0200

mesa (22.3.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #1029731)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 26 Feb 2023 11:19:29 +0200

mesa (22.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Feb 2023 20:43:32 +0200

mesa (22.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 28 Jan 2023 12:37:15 +0200

mesa (22.3.3-1) unstable; urgency=medium

  * New upstream release. (LP: #1988859)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Jan 2023 10:23:37 +0200

mesa (22.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Jan 2023 14:53:02 +0200

mesa (22.3.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.
  * control: Use Rules-Requires-Root: no.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Dec 2022 13:21:21 +0200

mesa (22.3.0-3) unstable; urgency=medium

  * control: Enable i915 gallium driver. (Closes: #1013311)
  * rules: Enable intel_hasvk. (Closes: #1025864)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 11 Dec 2022 19:14:28 +0200

mesa (22.3.0-2) unstable; urgency=medium

  * patches: Import two upstream commits to fix crashes when libd3d12.so
    can't be found. (Closes: #1025312)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Dec 2022 16:34:36 +0200

mesa (22.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Dec 2022 12:07:06 +0200

mesa (22.3.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Nov 2022 10:19:44 +0200

mesa (22.3.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * fix-symbols.diff: Dropped, upstream.
  * rules: Limit anv ray-tracing support to amd64.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Nov 2022 13:00:20 +0200

mesa (22.2.4-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable building lima drivers on riscv64. (LP: #1995137)
  * rules: Disable building llvmpipe on riscv64. (Closes: #1004039)
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Nov 2022 12:03:09 +0200

mesa (22.3.0~rc1-3) experimental; urgency=medium

  * control, rules: Enable intel vulkan raytracing support, add
    python3-ply and libclc-15 to build-depends.
  * rules: Fix rusticl logic.
  * rules: Add some variables for architecture lists.
  * rules: Drop the check for where vulkan loader exists, it's the same
    list of archs now as for llvm.
  * rules: Drop a duplicate check for llvm archs.
  * rules, control.in: Add a template file for d/control, which makes
    maintaining the llvm version and some arch lists easier.
  * rules: Remove unused libgrl.a from the intel raytracing build.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Nov 2022 13:37:20 +0200

mesa (22.3.0~rc1-2) experimental; urgency=medium

  * rules: Update list of archs without rustc.
  * libegl1-mesa-dev.install: Updated.
  * fix-symbols.diff: Fix a typo in glx symbols.
  * libglx-mesa0.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 15:47:05 +0200

mesa (22.3.0~rc1-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * rules: Drop removed gallium-xvmc flag.

  [ Christopher Obbard ]
  * Package rusticl, include in mesa-opencl-icd.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 13:32:45 +0200

mesa (22.2.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1022730)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 12:17:23 +0200

mesa (22.2.2-1) unstable; urgency=medium

  * control: Bump build-depends on wayland-protocols. (Closes: #1021666)
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 21 Oct 2022 10:17:18 +0300

mesa (22.2.1-1) unstable; urgency=medium

  [ Zhang Boyang ]
  * control, rules: Re-enable LLVM support on riscv64. (LP: #1980386)

  [ Timo Aaltonen ]
  * control: Bump build-dep on directx-headers-dev.
  * New upstream release.
  * control, rules: Migrate to llvm-15.
  * control: Add riscv64 to mesa-vulkan-drivers archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Oct 2022 11:48:24 +0300

mesa (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * nv50-ir-fix-OP_UNION-resolving-when-used-for-vector.diff: Dropped,
    upstream.
  * rules: Enable svga (vmwgfx) for armhf/arm64. (LP: #1989830)
  * control: Drop x32 from mesa-vulkan-drivers archs. (Closes: #1020386)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Sep 2022 12:57:22 +0300

mesa (22.2.0~rc3-2) unstable; urgency=medium

  * nv50-ir-fix-OP_UNION-resolving-when-used-for-vector.diff: Fix a
    regression on nouveau. (Closes: #1017499)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Sep 2022 13:25:59 +0300

mesa (22.2.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * rules: Enable video codecs. (Closes: #1016687)
  * control: Add python3 to mesa-vulkan-drivers depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Aug 2022 13:28:16 +0300

mesa (22.2.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate. (Closes: #1016801)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Aug 2022 16:35:13 +0300

mesa (22.2.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
  * revert-enabling-tlsdesc-support.diff: Dropped, obsolete.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Aug 2022 10:33:09 +0300

mesa (22.1.5-1) unstable; urgency=medium

  * New upstream release.
  * control: Fix mesa-opencl-icd depends. (Closes: #1014840)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Aug 2022 09:49:41 +0300

mesa (22.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Jul 2022 09:00:49 +0300

mesa (22.1.0-1) experimental; urgency=medium

  * New upstream release.
  * mesa-vulkan-drivers.install: Fix installing layers.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 May 2022 15:10:32 +0300

mesa (22.1.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Fix enabling intel-nullhw, reorganize setting vulkan-layers.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 May 2022 12:09:18 +0300

mesa (22.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Clean all python build cruft.
  * rules: Add intel-nullhw to vulkan confflags. (part of #1009027)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 May 2022 13:08:46 +0300

mesa (22.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Jun 2022 13:42:49 +0300

mesa (22.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 23 May 2022 14:48:48 +0300

mesa (22.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 May 2022 11:53:29 +0300

mesa (22.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Apr 2022 08:50:14 +0300

mesa (22.0.1-2) experimental; urgency=medium

  * Migrate to llvm-14.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Apr 2022 12:40:09 +0300

mesa (22.0.1-1) experimental; urgency=medium

  * New upstream release.
  * rules: Disable lto as suggested by upstream.
  * revert-enabling-tlsdesc-support.diff: Revert a commit that's causing
    apps to crash. (LP: #1966221)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Mar 2022 11:47:25 +0300

mesa (22.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 13 Mar 2022 20:46:36 +0200

mesa (22.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * path_max.diff: Refreshed.
  * rules: Drop classic drivers (r100, r200, nouveau_vieux, i915, i965).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Feb 2022 22:04:03 +0200

mesa (21.3.8-1) unstable; urgency=medium

  * New upstream release.
  * rules: Drop kmsro option, which was removed upstream.
  * install: Add radv defaults dri conf.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 10 Apr 2022 10:18:19 +0300

mesa (21.3.7-1) unstable; urgency=medium

  * New upstream release.
  * rules: Disable sse2 on i386. (Closes: #1002872)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Mar 2022 12:42:09 +0200

mesa (21.3.5-1) unstable; urgency=medium

  * New upstream release.
  * iris-inter-context-busy-tracking.diff: Fix a regression causing
    flickering and corruption on Intel. (Closes: #1003987)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 28 Jan 2022 15:49:51 +0200

mesa (21.3.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Switch to libglvnd-core-dev build-dep. (Closes: #1003264)
  * freedreno-afuc-Disable-the-disassembler-on-32-bit-bu.diff: Dropped,
    upstream.
  * Build with llvm-13 again.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Jan 2022 14:35:37 +0200

mesa (21.3.3-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable turnip, freedreno vulkan driver.
  * freedreno-afuc-Disable-the-disassembler-on-32-bit-bu.diff: Fix ftbfs
    on armhf.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Jan 2022 10:30:13 +0200

mesa (21.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Nov 2021 16:35:02 +0200

mesa (21.3.0~rc5-1) experimental; urgency=medium

  * New upstream prerelease.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 10:42:29 +0200

mesa (21.3.0~rc1-1) experimental; urgency=medium

  * New upstream prerelease.
  * fix-python-shebang.diff: Dropped, upstream.
  * libgbm1.symbols: Updated.
  * rules: Enable crocus gallium driver. (LP: #1947200)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Oct 2021 11:40:14 +0300

mesa (21.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Nov 2021 16:07:58 +0200

mesa (21.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 03 Nov 2021 11:35:38 +0200

mesa (21.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Oct 2021 16:50:42 +0300

mesa (21.2.3-2) unstable; urgency=medium

  * Revert back to llvm 12. (Closes: #995835)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Oct 2021 12:30:07 +0300

mesa (21.2.3-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Build with -O2 for ppc64el.
  * Build with llvm 13.

  [ Aurelien Jarno ]
  * Disable LLVM support on riscv64, it doesn't have JIT. (Closes: #995618)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Oct 2021 15:18:27 +0300

mesa (21.2.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Add riscv64 to mesa-opencl-icd archs. (LP: #1942764)
  * control: Drop libxdamage-dev from build-depends. (Closes: #979515)
  * 0001-util-format-NEON-is-not-available-with-the-soft-floa.patch:
    Dropped, upstream.
  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Sep 2021 14:33:55 +0300

mesa (21.2.1-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix armel FTBFS

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Sep 2021 14:02:18 +0300

mesa (21.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Aug 2021 11:38:23 +0300

mesa (21.2.0-1) experimental; urgency=medium

  * New upstream release. (LP: #1937988)
  * iris-avoid-abort-if-enomem.diff: Dropped, upstream.
  * control: Bump libdrm-dev build-dependency to 2.4.107.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Aug 2021 09:48:22 +0300

mesa (21.1.6-1) experimental; urgency=medium

  * New upstream release.
  * fix-ftbfs.diff: Dropped, fixed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Aug 2021 13:10:20 +0300

mesa (21.1.4-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Jul 2021 16:26:26 +0300

mesa (21.1.2-1) experimental; urgency=medium

  * New upstream release.
  * iris-avoid-abort-if-enomem.diff: Don't abort when out of memory.
    (LP: #1918855)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Jun 2021 14:33:09 +0300

mesa (21.1.0-4) experimental; urgency=medium

  * fix-ftbfs.diff: Fix build on armel/armhf/mipsel.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 17 May 2021 10:38:04 +0300

mesa (21.1.0-3) experimental; urgency=medium

  * rules: Drop the rule to clean up vulkan headers, not needed anymore.
  * rules: Update vulkan layer option selection.
  * libgbm1.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 May 2021 20:25:50 +0300

mesa (21.1.0-2) experimental; urgency=medium

  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 May 2021 16:46:12 +0300

mesa (21.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Build with llvm-12.
  * path_max.diff: Refreshed.
  * rules: vulkan_intel.h is gone.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 May 2021 16:05:12 +0300

mesa (21.0.3-1) experimental; urgency=medium

  * New upstream release.
  * rules: Limit d3d12 by DEB_HOST_ARCH, not DEB_HOST_ARCH_CPU. (Closes:
    #986660)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 22 Apr 2021 10:01:11 +0300

mesa (21.0.2-1) experimental; urgency=medium

  * New upstream release.
  * drisw-move-zink-down.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Apr 2021 13:57:35 +0300

mesa (21.0.1-2) experimental; urgency=medium

  * Move zink down the list below the sw drivers. (LP: #1920665)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Apr 2021 13:18:01 +0300

mesa (21.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Mar 2021 21:12:09 +0200

mesa (21.0.0-1) experimental; urgency=medium

  * New upstream release. (LP: #1917763)
  * control: Add directx-headers-dev to build-depends for amd64 and arm64
    on Linux, which is what WSL2 currently supports.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Mar 2021 19:22:33 +0200

mesa (21.0.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Feb 2021 10:32:24 +0200

mesa (21.0.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Feb 2021 13:01:20 +0200

mesa (21.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 30 Jan 2021 12:25:57 +0200

mesa (21.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch: Dropped,
    upstream.
  * rules: Fix osmesa confflag to use a boolean.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Jan 2021 13:44:42 +0200

mesa (20.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Mar 2021 12:11:46 +0200

mesa (20.3.4-1) unstable; urgency=medium

  [ Keith Packard ]
  * Build most drivers for riscv64 targets

  [ Timo Aaltonen ]
  * New upstream release.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch: Dropped,
    upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 31 Jan 2021 20:26:42 +0200

mesa (20.3.3-1) unstable; urgency=medium

  * New upstream release.
  * path_max.diff: Updated.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch:
    Don't print a warning which might confuse users to think they're on
    swrast vulkan.
  * rules: Use 'enabled' instead of 'true' for DRI3.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Jan 2021 15:16:30 +0200

mesa (20.3.2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable lavapipe (vulkan swrast) where llvm and vulkan is
    enabled.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 03 Jan 2021 20:30:50 +0200

mesa (20.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Dec 2020 10:23:30 +0200

mesa (20.3.0-2) experimental; urgency=medium

  * rules: Fix the name of the broadcom vulkan driver.
  * control, rules: Drop llvm support from kfreebsd, as llvm isn't built
    there.
  * rules: Enable gallium swrast (softpipe) and OSMesa everywhere, as
    they're not actually tied to llvm being available.
  * rules: Move common settings for !hurd to the top.
  * rules: Use a better method to build the arrays of drivers, thanks
    Witold Baryluk! (Closes: #972736)
  * rules: Clarify the status of wayland support on non-linux ports.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2020 14:21:30 +0200

mesa (20.3.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Enable v3dv on armhf/arm64, and zink where vulkan is
    available. (Closes: #975679)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Dec 2020 16:39:42 +0200

mesa (20.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Nov 2020 17:00:27 +0200

mesa (20.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add libxcb-shm0-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Nov 2020 18:29:42 +0200

mesa (20.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Dec 2020 06:42:32 +0200

mesa (20.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Dec 2020 23:32:56 +0200

mesa (20.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Dec 2020 15:11:48 +0200

mesa (20.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Nov 2020 13:32:39 +0200

mesa (20.2.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Enable libdrm-dev for Hurd. (Closes: #973673)
  * rules: Rework EGL_PLATFORMS to match current upstream defaults.
  * rules: Fix warnings from deprecated options. (Closes: #973675)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Nov 2020 22:38:16 +0200

mesa (20.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Oct 2020 12:38:36 +0300

mesa (20.2.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Add libclang-cpp11-dev to build-depends. (Closes: #954849)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Sep 2020 11:07:13 +0300

mesa (20.2.0~rc4-2) experimental; urgency=medium

  * Migrate to llvm/clang-11.
  * path_max.diff: Updated. (Closes: #969040)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 12:07:08 +0300

mesa (20.2.0~rc4-1) experimental; urgency=medium

  * New upstream prerelease.
  * rules: Move radv rule up to fix build on non-intel archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2020 19:32:58 +0300

mesa (20.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Get rid of trailing commas in *_DRIVERS options.
  * control: Bump libglvnd build-dep.
  * Update mesa-common-dev.docs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Aug 2020 18:30:42 +0300

mesa (20.1.9-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libclang-cpp11-dev to build-depends. (Closes: #954849)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Oct 2020 10:12:00 +0300

mesa (20.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 11:23:02 +0300

mesa (20.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2020 14:45:01 +0300

mesa (20.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Aug 2020 21:08:41 +0300

mesa (20.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Aug 2020 10:32:11 +0300

mesa (20.1.4-1) unstable; urgency=medium

  * New upstream release.
  * fix-ppc64el.patch: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2020 15:59:19 +0300

mesa (20.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #963677)
  * mesa-vulkan-drivers: Add support for device-select-layer.
  * control, rules: Enable valgrind where supported. (Closes: #890846)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jun 2020 10:24:29 +0300

mesa (20.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jun 2020 11:06:50 +0300

mesa (20.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 May 2020 13:14:52 +0300

mesa (20.1.0~rc4-1) experimental; urgency=medium

  * New upstream snapshot.
  * fix-build-with-llvm-10.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 May 2020 09:17:06 +0300

mesa (20.1.0~rc1-1) experimental; urgency=medium

  * New upstream snapshot.
  * fix-build-with-llvm-10.diff: Refreshed.
  * signing-key: Add key from Eric Engeström.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 May 2020 12:47:17 +0300

mesa (20.0.7-1) unstable; urgency=medium

  * New upstream release.
  * src_glx_dri_common.h.diff: A new attempt to fix hurd ftbfs. (Closes:
    #960197)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 May 2020 08:36:18 +0300

mesa (20.0.6-3) unstable; urgency=medium

  * src_glx_dri_common.h.diff: Dropped, breaks the build.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 May 2020 12:44:12 +0300

mesa (20.0.6-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump libdrm-dev build-dep.

  [ Svante Signell ]
  * src_glx_dri_common.h.diff: Fix build on Hurd. (Closes: #959975)

  [ Frédéric Bonnard ]
  * Fix ppc64el FTBFS. (Closes: #959943)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 May 2020 11:00:10 +0300

mesa (20.0.6-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches, refresh llvm-10 build-fix.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 May 2020 10:37:18 +0300

mesa (20.0.4-2) unstable; urgency=medium

  * fix-build-with-llvm-10.diff: Add a patch to fix build with Polly,
    and build with llvm-10 again. (Closes: #956004)
  * iris-drop-cache-coherent-cpu-mapping.diff: Fix corruption with iris
    (Closes: #954311) (LP: #1864274)
  * gallium-fix-bob-compute-shaders.diff: Fix vaapi with bob
    deinterlacing. (LP: #1867188)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Apr 2020 10:16:24 +0300

mesa (20.0.4-1) unstable; urgency=medium

  * New upstream release.
  * path_max.diff, libglx-mesa0.symbols.hurd: Fix build on Hurd.
    (Closes: #955351)
  * upstream/signing-key.asc: Added Eric Engestrom's key.
  * source/local-options: Update extend-diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 05 Apr 2020 23:39:55 +0300

mesa (20.0.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Revert to building with llvm/clang-9, until it builds with
    10.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Mar 2020 16:03:53 +0200

mesa (20.0.1-2) experimental; urgency=medium

  * control: Fix clang build-dep to actually use libclang-10-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Mar 2020 23:20:30 +0200

mesa (20.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Mar 2020 17:40:08 +0200

mesa (20.0.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Use debhelper-compat, bump to 12.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Feb 2020 10:46:06 +0200

mesa (20.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Fix dh_auto_test accepting failure.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Feb 2020 14:07:05 +0200

mesa (20.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Make running tests non-fatal, until they're actually expected
    to pass on each arch.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Feb 2020 15:02:10 +0200

mesa (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add libzstd-dev to build-depends for zstd compressed shader
    cache support.
  * rules, fix-python-shebang.diff: Enable tests again to see where we
    are now.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Feb 2020 15:46:02 +0200

mesa (20.0.0~git20200129-1) experimental; urgency=medium

  * New upstream snapshot.
  * mesa-vulkan-drivers.install: Include overlay control script.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Jan 2020 09:29:20 +0200

mesa (19.3.3-1) unstable; urgency=medium

  * New upstream release.
  * rules: Build zink on x86.
  * control: Add libglvnd-dev to libegl1-mesa-dev/libgles2-mesa-
    dev/libgl1-mesa-dev Depends to ease the transition. (Closes: #949677)
  * drisw-fix-depth-for-ximage.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jan 2020 21:45:02 +0200

mesa (19.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Jan 2020 14:55:29 +0200

mesa (19.3.1-4) unstable; urgency=medium

  [ Julien Cristau ]
  * Ensure strict dependencies on libglapi-mesa (closes: #947813).

  [ Timo Aaltonen ]
  * control: Add libgl{,x}-dev to mesa-common-dev Depends. (Closes:
    #947392)
  * drisw-fix-depth-for-ximage.diff: Fix sw driver rgbBits/depth calculation.
    (Closes: #947196)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2020 11:38:56 +0200

mesa (19.3.1-3) unstable; urgency=medium

  * control, rules: Actually build radv on mipsel, drop mips from
    everywhere since it's not an arch anymore. (Closes: #947310)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Dec 2019 22:05:01 +0200

mesa (19.3.1-2) unstable; urgency=medium

  * rules: Build radv on mips/mipsel again.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Dec 2019 23:17:58 +0200

mesa (19.3.1-1) unstable; urgency=medium

  * New upstream release.
  * fix-radv-secure-compile.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Dec 2019 16:45:25 +0200

mesa (19.3.0-1) experimental; urgency=medium

  * New upstream release.
  * fix-radv-secure-compile.diff: Fix radv build where __NR__newselect
    isn't defined.
  * rules: Restore radv build on non-x86 archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Dec 2019 01:39:02 +0200

mesa (19.3.0~rc6-1) experimental; urgency=medium

  * New upstream release candidate.
  * control, rules: Don't build radv on non-x86.
  * Don't install EGL/GL/GLES headers or pkg-config files, they're
    shipped by libglvnd 1.3.0 now. Make old -dev packages transitional,
    except libegl1-mesa-dev which still has two mesa specific headers.
  * generate-pc-files-for-gles-and-gles2.diff: Dropped, not needed anymore.
  * rules: Update clean target.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Dec 2019 13:29:49 +0200

mesa (19.3.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
  * generate-pc-files-for-gles-and-gles2.diff: This is needed until we
    have glvnd 1.2 in the archive.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Nov 2019 21:56:04 +0200

mesa (19.2.6-1) unstable; urgency=medium

  * New upstream release.
  * create-gles-pc-files-with-old-glvnd.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Nov 2019 21:08:25 +0200

mesa (19.2.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #944880)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Nov 2019 15:25:12 +0200

mesa (19.2.3-1) unstable; urgency=medium

  * New upstream release.
  * create-gles-pc-files-with-old-glvnd.diff: Drop the revert with a
    proposed patch to fix creating gles pc files with old glvnd.
  * rules: GLESv2 libs aren't built anymore, drop removing the libs.
  * mesa-common-dev: Drop mangled GL/GLX headers, they're not generated
    anymore.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Nov 2019 14:01:26 +0200

mesa (19.2.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Build Vulkan overlay on x32. (Closes: #932733)
  * Revert-meson-fix-logic-for-generating-.pc-files-with.patch: Revert a
    commit which attempted to fix the .pc generating logic, but
    regressed GLES2.

  [ Sven Joachim ]
  * rules: Re-enable asm on x32, should be fixed since mesa 17.0.0
    (Closes: #758094).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Oct 2019 07:31:08 +0300

mesa (19.2.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable panfrost again, should be good now. (Closes: #941136)
  * Drop reverts on pkgconfig removals, upstream now supports building
    them with an older libglvnd.
  * copyright: Don't refer to BSD license file.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 01 Oct 2019 15:49:52 +0300

mesa (19.2.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Sep 2019 00:25:47 +0300

mesa (19.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * control,rules: Restore libva-dev build-dep and nolibva build
    profile.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Sep 2019 15:34:19 +0300

mesa (19.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Migrate to llvm/clang-9. (Closes: #935768)
  * control: Add vulkan-icd to mesa-vulkan-drivers Provides. (Closes:
    #935869)
  * control, rules: Drop libva-dev from build-depends, don't use
    dh_libva and drop pkg.mesa.nolibva build profile, libva2 transition
    is done.
  * control: Bump llvm/clang build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Sep 2019 14:36:14 +0300

mesa (19.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Avoid having an empty string for -Dplatforms.
  * Revert-egl-drop-incorrect-pkg-config-file-for-glvnd.patch: We still
    need to ship egl.pc from mesa.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Aug 2019 07:45:14 +0300

mesa (19.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Sep 2019 15:43:36 +0300

mesa (19.1.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #933753, #933906)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Aug 2019 07:30:48 +0300

mesa (19.1.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * control: Add python3-setuptools to build-depends.
  * rules: Use dh_missing.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jul 2019 17:07:07 +0300

mesa (19.1.1-1) experimental; urgency=medium

  * New upstream bugfix release.
  * rules: Disable panfrost for now, revisit it again for 19.2. (Closes:
    #930879)
  * control, rules: Enable vulkan-overlay, add glslang-tools to build-depends.
    (Closes: #930945)
  * rules, libgles2-mesa-dev.install: Re-add the pkgconfig file for now.
    (Closes: #930514)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 01 Jul 2019 17:24:52 +0300

mesa (19.1.0-1) experimental; urgency=medium

  * New upstream release.
  * watch: Upstream switched to xz tarballs.
  * rules: Use pkg-info.mk for gentarball.
  * Drop upstreamed patches.
  * libegl-mesa0.symbols: Updated.
  * rules, libgles2-mesa-dev.install: GLES2 files aren't built anymore
    now that GLVND is used.
  * rules: Enable iris gallium driver.
  * rules: Enable lima, panfrost on armhf/arm64. (Closes: #927893)
  * rules: Update clean target.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Jun 2019 10:52:07 +0300

mesa (19.0.3-1) experimental; urgency=medium

  * New upstream release.
  * libgl1-mesa-dri.maintscript: Bump version so that drirc gets removed
    for those who already upgraded to 19.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 May 2019 13:46:47 +0300

mesa (19.0.2-1) experimental; urgency=medium

  * New upstream release.
  * control: Bump libdrm-dev build-dep, amdgpu needs 2.4.97.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Apr 2019 11:50:26 +0300

mesa (19.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Mar 2019 15:38:58 +0200

mesa (19.0.0-1) experimental; urgency=medium

  * New upstream release.
  * meson-fix-with-dri2-def-for-hurd.diff: Restored the original diff to
    fix hurd build.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Mar 2019 18:41:31 +0200

mesa (19.0.0~rc7-1) experimental; urgency=medium

  * New upstream release candidate.
  * Migrate to llvm/clang-8.
  * fix-hurd-ftbfs.diff: Refreshed, and partially replaced by two
    patches from upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Mar 2019 09:58:25 +0200

mesa (19.0.0~rc6-1) experimental; urgency=medium

  * New upstream release candidate. (LP: #1815236)
  * rules: Replace imx with kmsro, fixes arm build.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Mar 2019 09:26:07 +0200

mesa (19.0.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
  * libgbm1.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Feb 2019 14:02:45 +0200

mesa (19.0.0~rc2-1) experimental; urgency=medium

  * New upstream snapshot.
  * 1-5-meson-remove-duplicate-definition.patch: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Feb 2019 10:44:48 +0200

mesa (18.3.6-2) unstable; urgency=medium

  * Cherry-pick c77acc3ceba (meson: remove meson-created megadrivers
    symlinks) from upstream master branch. Removes a broken symlink
    (Closes: #926857).

 -- Andreas Boll <aboll@debian.org>  Sat, 11 May 2019 15:43:07 +0200

mesa (18.3.6-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * libgl1-mesa-dri: Remove /etc/drirc which isn't installed anymore.
    (Closes: #920241)

  [ Andreas Boll ]
  * New upstream release.
    - wayland/egl: Ensure EGL surface is resized on DRI
      update_buffers(). Fixes a crash with xwayland (Closes: #922346).
  * Rebase patches/fix-hurd-ftbfs.diff.

 -- Andreas Boll <aboll@debian.org>  Sat, 06 Apr 2019 20:58:43 +0200

mesa (18.3.4-2) unstable; urgency=medium

  * Cherry-pick f6556ec7d12 (dri: meson: do not prefix user provided dri-
    drivers-path) from upstream master branch. Fixes a regression since
    switching to meson (Closes: #922807).
  * rules: Add meson option -Db_ndebug=true to disable assertions
    (Related bugs: #920462, #922162, #922346).
  * source/local-options: Remove meson build files from extend-diff-
    ignore.

 -- Andreas Boll <aboll@debian.org>  Sat, 02 Mar 2019 13:21:59 +0100

mesa (18.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Feb 2019 11:02:44 +0200

mesa (18.3.3-1) unstable; urgency=medium

  [ James Clarke ]
  * Add pkg.mesa.nolibva build profile; this breaks the mesa -> libva-dev ->
    libva-glx1 -> libgl1-mesa-glx dependency loop when bootstrapping.
    (Closes: #870434)

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Feb 2019 11:36:46 +0200

mesa (18.3.2-1) unstable; urgency=medium

  * New upstream release.
    - 2-5..5-5*.patch: Dropped, upstream.
  * fix-hurd-ftbfs.diff: Add one more check for PIPE_OS_HURD, and fixes
    from James Clarke to address other issues with the build.
  * nv30: Cherry-pick patches to fix a plasmashell crash. (Closes:
    #918835)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Jan 2019 20:36:15 +0200

mesa (18.3.1-1) experimental; urgency=medium

  * New upstream release.
  * fix-hurd-ftbfs.diff: Fix src/util build on Hurd.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 12 Jan 2019 20:02:51 +0200

mesa (18.3.0-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * control, rules. LLVM is available on s390x these days, so simplify
    the packaging and let s390x build the same package set as other release
    archs.

  [ Andreas Boll ]
  * New upstream release.
  * Use proposed meson patches from upstream to fix hurd and ppc64el.
  * control: Bump meson build-dep to 0.45 per meson.build.
  * control: Drop unused build-dep libtool.
  * control: Switch to python3 build-deps.
  * Inline debian/not-installed into debian/rules.
  * rules: Tidy up override_dh_install.

 -- Andreas Boll <aboll@debian.org>  Mon, 10 Dec 2018 22:52:55 +0100

mesa (18.3.0~rc5-2) experimental; urgency=medium

  * rules: Drop virgl, va/vdpau from s390x.
  * meson-fix-hurd-build.diff: Hurd needs -D_GNU_SOURCE.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Dec 2018 20:43:45 +0200

mesa (18.3.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Fix a typo in list of dri drivers.
  * rules, meson-add-glx-direct-toggle.diff: Fix build on hurd.
  * rules: Drop extra -Dosmesa from confflags.
  * rules: Don't build gallium nouveau on s390x.
  * rules: Classic osmesa needs classic swrast, and since it's not enabled
    where llvmpipe is enabled, enable gallium osmesa there.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 30 Nov 2018 11:45:45 +0200

mesa (18.3.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Bump libdrm-dev dependency to 2.4.95.
  * libgl1-mesa-dri.install: Updated, etc/drirc is now
    usr/share/drirc.d/00-mesa-defaults.conf.
  * libegl-mesa0.symbols: Updated.
  * Build with gcc8 again.
  * control, rules: Build with meson.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Nov 2018 15:35:41 +0200

mesa (18.2.8-2) unstable; urgency=medium

  * Actually merge the upstream version. (Closes: #917556)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 28 Dec 2018 20:11:40 +0200

mesa (18.2.8-1) unstable; urgency=medium

  * New upstream release.
  * control: Build-depend on libsensors-dev. (Closes: #917442)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 28 Dec 2018 10:50:13 +0200

mesa (18.2.7-2) unstable; urgency=medium

  * Temporarily disable libsensors support to bootstrap with libsensors5.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 21 Dec 2018 09:22:16 +0100

mesa (18.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Dec 2018 11:47:32 +0200

mesa (18.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 28 Nov 2018 22:58:22 +0200

mesa (18.2.5-3) unstable; urgency=medium

  [ Michael Biebl ]
  * Force compilation against gcc-7, gcc-8 miscompiles mesa
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=87859
    (Closes: #914267).

 -- Andreas Boll <aboll@debian.org>  Thu, 22 Nov 2018 21:18:39 +0100

mesa (18.2.5-2) unstable; urgency=medium

  * Move KHR/khrplatform.h from libegl1-mesa-dev to mesa-common-dev
    because GL/glcorearb.h and GL/glext.h started to depend on this
    header too (Closes: #914167).

 -- Andreas Boll <aboll@debian.org>  Tue, 20 Nov 2018 21:20:51 +0100

mesa (18.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Boll <aboll@debian.org>  Mon, 19 Nov 2018 16:18:34 +0100

mesa (18.2.4-1) experimental; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - vulkan: Disable randr lease for libxcb < 1.13 (Closes: #908827,
    #909720).
  * Drop version from build-deps libxcb-dri3-dev and libxcb-present-dev.
  * Bump libdrm-dev dependency to 2.4.92.
  * Enable building etnaviv and imx on arm64 (Closes: #907136).

  [ Timo Aaltonen ]
  * copyright: Rewrite for format 1.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Nov 2018 11:20:08 +0200

mesa (18.2.1-1) experimental; urgency=medium

  * New upstream release.
  * control: Add libd3dadapter9-mesa to -dev depends.
  * control: Fix libd3dadapter9-mesa-dev section, and drop
    shlibs:Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 24 Sep 2018 15:28:35 +0300

mesa (18.2.0-3) experimental; urgency=medium

  * control, rules: Nine needs llvmpipe, and also makes sense to build it
    only on archs that have wine.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Sep 2018 13:41:29 +0300

mesa (18.2.0-2) experimental; urgency=medium

  * control: Bump build-dep on libxcb-dri3-dev and libxcb-present-dev to
    1.13. (Closes: #908827)
  * control: Build-depend on x11proto-dev, modify libegl1-mesa-dev and
    libgl1-mesa-dev depends.
  * Migrate to llvm/clang-7.
  * Enable gallium D3D state tracker, thanks Antonio Russo and Andrew
    Cook! (Closes: #863972)
  * rules: Enable v3d on arm. Thanks, Fabio Pedretti!
  * rules: Drop enabling texture float, it's enabled by default now.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 18 Sep 2018 14:49:24 +0300

mesa (18.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Sep 2018 12:54:33 +0300

mesa (18.2.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add libxrandr-dev and libwayland-egl-backend-dev to build-
    depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Aug 2018 19:59:55 +0300

mesa (18.1.9-1) unstable; urgency=medium

  * New upstream release.
  * Cherry-pick 2f1ad72ac17 (clover: Add explicit virtual destructor to
    argument class) from upstream master branch. Fixes memory leaks with
    some OpenCL apps (Closes: #909741). Thanks, David Kuehling!

 -- Andreas Boll <aboll@debian.org>  Wed, 10 Oct 2018 16:54:18 +0200

mesa (18.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Sep 2018 10:34:39 +0300

mesa (18.1.7-1) unstable; urgency=medium

  * New upstream release.
  * libglx-mesa0: Add Breaks: glx-diversions (<< 0.8.4~) (Closes:
    #903929).

 -- Andreas Boll <aboll@debian.org>  Wed, 29 Aug 2018 11:16:55 +0200

mesa (18.1.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes white screen when running Xfwm4 with compositing
      (Closes: #901789).
  * Drop glvnd-fix-gl-dot-pc.patch, fixed upstream (0c927e8da9e)
    (Closes: #896447).

 -- Andreas Boll <aboll@debian.org>  Tue, 14 Aug 2018 09:28:56 +0200

mesa (18.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 30 Jul 2018 14:30:06 +0300

mesa (18.1.4-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

  [ Simon McVittie ]
  * Make libwayland-dev Build-Depends consistent with -dev Depends

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 15 Jul 2018 12:59:44 +0200

mesa (18.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Jul 2018 11:25:05 +0300

mesa (18.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Jun 2018 17:50:24 +0300

mesa (18.1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #901342)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Jun 2018 11:46:04 +0300

mesa (18.1.0-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * signing-key.asc: Add the key from Dylan Baker.
  * rules: Update clean target.

  [ Andreas Boll ]
  * New upstream release.
  * signing-key.asc: Remove old key from Juan A. Suarez Romero.
  * Enable support for tegra on armhf and arm64. Thanks, Fabio Pedretti!
  * Bump libdrm-dev dependency to 2.4.91.

 -- Andreas Boll <aboll@debian.org>  Sat, 26 May 2018 10:34:44 +0200

mesa (18.0.5-1) unstable; urgency=medium

  * New upstream release.
    - Fixes compositor freezes with XServer 1.20. Closes: #900149.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 04 Jun 2018 09:51:42 +0200

mesa (18.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Add key from Juan A. Suarez.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 May 2018 10:07:58 +0300

mesa (18.0.3-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.

  [ Nicolas Braud-Santoni ]
  * Add debian/gbp.conf.

  [ Timo Aaltonen ]
  * control: libegl1-mesa-dev should pull the new libwayland-dev, update
    dependency.

 -- Andreas Boll <aboll@debian.org>  Tue, 08 May 2018 10:42:07 +0200

mesa (18.0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 May 2018 13:22:18 +0300

mesa (18.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Boll <aboll@debian.org>  Mon, 30 Apr 2018 10:15:24 +0200

mesa (18.0.1-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.

  [ Andreas Boll ]
  * Update Vcs-* URLs to point at salsa.debian.org (Closes: #896146).
    Thanks, Stuart Young!
  * Bump debhelper compat to 11.
  * Bump standards version to 4.1.4.

 -- Andreas Boll <aboll@debian.org>  Fri, 20 Apr 2018 13:29:30 +0200

mesa (18.0.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Update to my Debian address.

 -- Andreas Boll <aboll@debian.org>  Wed, 28 Mar 2018 13:04:01 +0200

mesa (18.0.0~rc5-1) experimental; urgency=medium

  [ Andreas Boll ]
  * New upstream release candidate.

  [ Fabio Pedretti ]
  * rules: Rename --disable-gallium-llvm to --disable-llvm

  [ Timo Aaltonen ]
  * control, rules: Switch to llvm 6.0, bump libclc to match.
  * Drop libwayland-egl-mesa, which is now provided by src:wayland.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 21 Mar 2018 20:05:23 +0100

mesa (18.0.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Feb 2018 10:43:32 +0200

mesa (18.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * libgbm1.symbols: Updated.
  * rules: Use -O1 for sh3 & sh4, thanks John Paul Adrian Glaubitz!
    (Closes: #887444)
  * rules: Fix hurd FTBFS, thanks Samuel Thibault! (Closes: #888047)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jan 2018 13:42:14 +0200

mesa (17.3.9-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Boll <aboll@debian.org>  Thu, 19 Apr 2018 11:18:35 +0200

mesa (17.3.8-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Boll <aboll@debian.org>  Fri, 06 Apr 2018 10:24:44 +0200

mesa (17.3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 21 Mar 2018 18:26:10 +0100

mesa (17.3.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes GPU hangs in the i965 driver (Closes: #890866).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 27 Feb 2018 09:41:37 +0100

mesa (17.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 20 Feb 2018 12:16:33 +0100

mesa (17.3.4-1) unstable; urgency=medium

  * New upstream release.
    - winsys/radeon: Compute is_displayable in surf_drm_to_winsys
    (Closes: #888633).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 16 Feb 2018 11:56:39 +0100

mesa (17.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 10.
  * Bump standards version to 4.1.3.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 19 Jan 2018 20:34:29 +0100

mesa (17.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Jan 2018 15:11:42 +0200

mesa (17.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 22 Dec 2017 11:25:59 +0100

mesa (17.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.1.2.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 13 Dec 2017 17:11:15 +0100

mesa (17.3.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 21 Nov 2017 11:44:37 +0100

mesa (17.3.0~rc3-1) experimental; urgency=medium

  [ Andreas Boll ]
  * New upstream release candidate.

  [ Fabio Pedretti ]
  * control: Remove libtxc-dxtn* recommends for S3TC.
  * rules: Rename --enable-gallium-llvm to --enable-llvm.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 08 Nov 2017 14:00:55 +0100

mesa (17.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump libdrm-dev build-dep to 2.4.85 per configure.ac.
  * rules: Replace deprecated --disable-omx with --disable-omx-bellagio.
  * Update libgbm1.symbols.
  * Update extend-diff-ignore.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 31 Oct 2017 14:12:08 +0100

mesa (17.2.5-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Make mesa-va-drivers enhance libva2 rather than libva1 (Closes: #881374).

  [ Timo Aaltonen ]
  * libglx-mesa0.links.in: Add libGLX_indirect.so.0 to link against
    libGLX_mesa so that GLX with a remote xserver works. (Closes: #881789)

  [ Andreas Boll ]
  * New upstream release.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 17 Nov 2017 10:46:35 +0100

mesa (17.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Build with dh_libva (Closes: #879064).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 31 Oct 2017 12:19:49 +0100

mesa (17.2.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump standards version to 4.1.1 (Priority: extra -> optional).
  * Update extend-diff-ignore.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 20 Oct 2017 11:59:49 +0200

mesa (17.2.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Oct 2017 14:20:47 +0300

mesa (17.2.1-2) unstable; urgency=medium

  * Cherry-pick 2ef7f23820a (configure: check if -latomic is needed for
    __atomic_*) from upstream. Should fix FTBFS on armel (Closes:
    #874531).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 26 Sep 2017 11:25:54 +0200

mesa (17.2.1-1) unstable; urgency=medium

  * New upstream bugfix release. (LP: #1716250)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Sep 2017 14:33:02 +0300

mesa (17.2.0-2) unstable; urgency=medium

  * control: Mark transitional packages M-A: same. (Closes: #874013,
    #874509).

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Sep 2017 21:53:24 +0300

mesa (17.2.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Make transitional packages arch:any. (Closes: #874013)
  * control: Add libglx-mesa0 to libgl1-mesa-glx Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Sep 2017 14:41:01 +0300

mesa (17.2.0~rc6-1) experimental; urgency=medium

  * New release candidate.
  * control, rules: Build gallium/svga only on x86.
  * rules: Improve readability.
  * control, rules: Bump llvm/clang to 5.0, and libclc to match.
  * control: Bump libgl1-mesa-dri to libglx-mesa0 Depends, it's needed
    for swrast used on some tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Sep 2017 11:37:30 +0300

mesa (17.2.0~rc4-1) experimental; urgency=medium

  * Migrate mesa to build against libglvnd:
    + patches:
      - Fix gl.pc
    + control:
      - Add libglvnd-core-dev to build-depends
      - Drop libgles2-mesa, provide a transitional package which
        depends on libgles2
    + control, install, symbols, lintian-overrides:
      - Drop libegl1-mesa, libgl1-mesa-glx, add libegl-mesa0, libglx-mesa0,
        provide transitional packages for libegl1-mesa, libgl1-mesa-glx
      - Replace depends on libegl1-mesa with libegl1 or libglvnd-dev
      - Add Provides: libegl-vendor to libegl-mesa0 and libglx-vendor to
        libglx-mesa0
    + control, lib{,e}gl1-mesa-dev.install:
      - Drop .so files, provided by libglvnd-dev now
      - Depend on libglvnd-dev instead of libegl1-mesa/libgl1-mesa-glx
    + rules:
      - Add --enable-libglvnd
      - GLESv2 libs still get built, purge them from debian/tmp
      - Remove lib{EGL,GLX}_mesa.so which are not needed for anything

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Aug 2017 09:44:24 +0300

mesa (17.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add wayland-protocols (>= 1.9) to Build-Depends.
  * control: Bump libdrm-dev build dependency to 2.4.82.
  * libegl1-mesa.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Aug 2017 09:37:22 +0300

mesa (17.1.5-1) unstable; urgency=medium

  * Team upload.

  [ Jordan Justen ]
  * New upstream release.
  * Update Standards-Version to 4.0.0 for lintian
    out-of-date-standards-version

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 25 Jul 2017 09:04:49 +0300

mesa (17.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Jul 2017 18:29:51 +0300

mesa (17.1.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 27 Jun 2017 00:26:18 +0200

mesa (17.1.3-1) experimental; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 26 Jun 2017 00:03:57 +0200

mesa (17.1.2-2) experimental; urgency=medium

  * rules: --with-egl-platforms is deprecated, use --with-platforms
    instead.
  * rules: Enable surfaceless EGL platform.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Jun 2017 10:50:33 +0300

mesa (17.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Update d/upstream/signing-key.asc with key from Juan A. Suarez Romero.
  * README.source: Add documentation about how to update d/u/signing-
    key.asc.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Jun 2017 10:32:08 +0300

mesa (17.1.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Add zlib1g-dev to build-depends.
  * control: Bump libdrm-dev build-dep to 2.4.80.
  * libgbm1.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 May 2017 09:59:50 +0300

mesa (17.0.4-1) experimental; urgency=medium

  * New upstrem release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Apr 2017 16:14:20 +0300

mesa (17.0.3-1) experimental; urgency=medium

  * New upstream release.
  * Update d/upstream/signing-key.asc with key from Andres Gomez.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 03 Apr 2017 11:35:58 +0200

mesa (17.0.2-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.

  [ Andreas Boll ]
  * Require LLVM on sparc64:
    - Enables radeonsi, llvmpipe and radv drivers.
    - Enables OpenCL support.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 21 Mar 2017 11:35:09 +0100

mesa (17.0.1-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.

  [ Andreas Boll ]
  * Declare Multi-Arch: same for mesa-vulkan-drivers (Closes: #853897).
  * Cherry-pick 7d1195c (clover: Work around build failure with
    AltiVec.) from upstream master branch.
  * Enable OpenCL on ppc64el (Closes: #810913).
  * Require LLVM on more architectures (armel mips mips64el mipsel
    powerpc ppc64):
    - Enables radeonsi, llvmpipe and radv drivers.
    - Enables OpenCL support.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 06 Mar 2017 15:15:00 +0100

mesa (17.0.0-1) experimental; urgency=medium

  * New upstream release.
  * control, rules: Bump clang/llvm to 4.0, and libclc to match.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Feb 2017 15:46:47 +0200

mesa (17.0.0~rc3-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * Drop libgles1.

  [ Andreas Boll ]
  * New upstream release candidate.
  * Drop transitional package libegl1-mesa-drivers.
  * Remove Breaks/Replaces from pre-jessie.
  * Explicitly disable LLVM on some arches. Should fix FTBFS on x32.
  * Drop configure.ac-Require-LLVM-for-r300-only-on-x86-and-x.patch,
    upstream.
  * Cherry-pick 045f38a (vulkan: Don't install vk_platform.h or
    vulkan.h).
  * Update list of unwanted vulkan headers.
  * Drop unused git-cleanup.sh script. Replaced with usage of --extend-
    diff-ignore some time ago.
  * Enable building etnaviv and imx on armhf (Closes: #852614).
    - Bump libdrm-dev build-dep to 2.4.74-2~.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 06 Feb 2017 19:05:30 +0100

mesa (17.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Add configure.ac-Require-LLVM-for-r300-only-on-x86-and-x.patch:
    Should fix FTBFS on some arches.
  * rules: Explicitly enable/disable gbm. Should fix FTBFS on hurd.
  * Revert to debhelper compat 9 (Workaround for #851130).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 25 Jan 2017 16:45:53 +0100

mesa (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump libdrm-dev build-dep to 2.4.74 per configure.ac.
  * Bump libwayland-dev build-dep to 1.11.0 per configure.ac.
  * Remove libgcrypt20-dev build-dep per configure.ac.
  * Update watch url.
  * Drop vl-zscan-fix-Fix-trivial-sign-compare-warnings.diff and r600-
    sb-Fix-loop-optimization-related-hangs-on-eg.diff, upstream.
  * Drop workaround-binutils-mips-844357.diff, binutils regression has
    been fixed.
  * Rename EGL_DISPLAYS to EGL_PLATFORMS.
  * Update extend-diff-ignore.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 19 Jan 2017 18:39:06 +0100

mesa (13.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 21 Mar 2017 14:02:03 +0100

mesa (13.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch mesa3d.org URLs to https.
  * Update extend-diff-ignore.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 21 Feb 2017 13:13:50 +0100

mesa (13.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop vl-zscan-fix-Fix-trivial-sign-compare-warnings.diff and r600-
    sb-Fix-loop-optimization-related-hangs-on-eg.diff, upstream.
  * Drop workaround-binutils-mips-844357.diff, binutils regression has
    been fixed (Closes: #852030).
  * Revert to debhelper compat 9 (Workaround for #851130).
  * Update extend-diff-ignore.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 01 Feb 2017 15:36:10 +0100

mesa (13.0.3-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.

  [ Andreas Boll ]
  * Add vl-zscan-fix-Fix-trivial-sign-compare-warnings.diff: Fixes mpeg2
    decoding on radeon GPUs without native mpeg2 support (Closes:
    #846297).  Thanks to Jörg-Volker Peetz for reporting and tracking
    down this regression!
  * Add r600-sb-Fix-loop-optimization-related-hangs-on-eg.diff: Fixes
    GPU hangs on r600g (Evergreen and Northern Islands GPUs) in many
    games.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Jan 2017 17:38:23 +0200

mesa (13.0.2-3) unstable; urgency=medium

  * Fix typo to correctly disable asm on x32. Should fix FTBFS on x32.
  * Add debian/source/format file.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 15 Dec 2016 16:42:25 +0100

mesa (13.0.2-2) unstable; urgency=medium

  * Bump llvm/libclang build-deps to >= 1:3.9.1.
    - Enables support for OpenCL on AMD Polaris GPUs (Closes: #848173).
  * Cherry-pick 6dc96de (cso: don't release sampler states that are
    bound) from upstream master branch. Fixes random GPU hangs on
    radeonsi (AMD Southern Islands and newer) in many games.
  * Bump debhelper compat to 10.
  * Stop passing --disable-silent-rules to configure, debhelper does
    that for a while.
  * Drop no longer needed dpkg-dev versioned build-dependency.
  * Drop redundant cross-build detection, debhelper does this for us
    already.
  * Disable assembly usage on x32. Related to Bug #758094.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 15 Dec 2016 15:16:56 +0100

mesa (13.0.2-1) unstable; urgency=medium

  * New upstream release.
  * workaround-binutils-mips-844357.diff: Add workaround for broken
    binutils on mips*. Fixes invalid symbol table of libGL.so.1. See
    also Bug #844357.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 29 Nov 2016 16:29:00 +0100

mesa (13.0.1-2) unstable; urgency=medium

  * Cherry-pick commit 1809f17 (mesa: Drop PATH_MAX usage.) from
    upstream 13.0 branch. Should fix FTBFS on hurd (Closes: #843588).
  * Enable extra HUD support for showing I/O stats of block/NIC devices.
  * Enable HUD lmsensors support.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 28 Nov 2016 13:32:31 +0100

mesa (13.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 14 Nov 2016 16:23:42 +0100

mesa (13.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Make mesa-vulkan-drivers.install more generic. Should fix FTBFS on
    some arches.
  * rules: Remove superfluous linux check.
  * rules: Remove vulkan_intel.h only where it get installed in tmp.
    Should fix FTBFS on some more arches.
  * source/local-options: Update extend-diff-ignore.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 02 Nov 2016 11:49:13 +0100

mesa (13.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * control, rules: Use llvm/clang 3.9 (Closes: #836913).
  * control: Bump libclc dependencies.
  * Bump libdrm-dev build-dep to 2.4.69 per configure.ac.
  * Remove libudev-dev and libudev1 dependencies per configure.ac.
  * Enable OpenCL on kfreebsd-* since we don't need udev anymore.
  * Enable radv vulkan driver.
  * control: Remove superfluous linux- prefix.
  * not-installed: wglext.h got dropped from the tarball.
  * mesa-common-dev: Remove mesa_glinterop.h, upstream doesn't install
    it anymore.
  * Update libgles2-mesa.symbols.
  * Update libgl1-mesa-glx.symbols.
  * source/local-options: Update extend-diff-ignore.
  * Update mesa-vulkan-drivers.lintian-overrides.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 25 Oct 2016 10:59:08 +0200

mesa (12.0.4-2) unstable; urgency=medium

  * Limit new glx symbols to !hurd-any. Should fix FTBFS on hurd.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 11 Nov 2016 18:31:40 +0100

mesa (12.0.4-1) unstable; urgency=medium

  * New upstream release.
  * not-installed: wglext.h got dropped from the tarball.
  * mesa-common-dev: Remove mesa_glinterop.h, upstream doesn't install
    it anymore.
  * Update symbols of libegl1-mesa and libgl1-mesa-glx.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 11 Nov 2016 16:35:09 +0100

mesa (12.0.3-3) unstable; urgency=medium

  * Limit libgbm1 dependency to !hurd-any (Closes: #841774).  Thanks,
    Samuel Thibault!

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 24 Oct 2016 10:18:09 +0200

mesa (12.0.3-2) unstable; urgency=medium

  * control: Add libtxc-dxtn-s2tc as an alternative in libgl1-mesa-dri's
    Recommends (Closes: #839658).
  * control: Add strictly versioned dependency on libgbm1 to libegl1-
    mesa.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 21 Oct 2016 09:49:37 +0200

mesa (12.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Enable vc4 on arm64.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 15 Sep 2016 13:38:40 +0200

mesa (12.0.2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Pass -c4 to dpkg-gensymbols through dh_makeshlibs, got
    dropped with the migration to dh.
  * rules: Replace deprecated debhelper option -s with -a.
  * copyright: Sync with docs/license.html.
  * Replace almost all dynamic debhelper config files with static files.
  * rules: Drop unneeded override_dh_builddeb, xz is the default
    compression type for dpkg-deb nowadays.
  * Replace mesa-vulkan-drivers.post{inst,rm} with mesa-vulkan-
    drivers.triggers.
  * control: Only build-dep on libgcrypt20-dev on architectures where we
    build mesa-vulkan-drivers.
  * source/local-options: Add more files to extend-diff-ignore option.
    Fixes 87 patch-system-but-direct-changes-in-diff lintian warnings.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 06 Sep 2016 10:37:23 +0200

mesa (12.0.1-3) experimental; urgency=medium

  * rules, control: Build mesa-vulkan-drivers only on linux-
    {amd64,i386,x32}.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Jul 2016 16:31:00 +0300

mesa (12.0.1-2) experimental; urgency=medium

  * rules: Drop MESA_GIT_SHA1 hack because upstream uses build timestamp
    instead.
  * rules, not-installed: Handle removing unwanted vulkan headers in
    rules instead.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Jul 2016 11:45:01 +0300

mesa (12.0.1-1) experimental; urgency=medium

  * New upstream release candidate.
  * symbols: Updated.
  * mesa-common-dev: Add mesa_glinterop.h.
  * Enable building intel vulkan driver on linux & kfreebsd, add
    libgcrypt20-dev and libvulkan-dev to build-depends.
  * rules: Tidy up override_dh_clean.
  * rules: Use package version for MESA_GIT_SHA1.
  * rules: Fix install of va drivers.
  * gallivm-disable-avx512-features.diff: Removed, included upstream.
  * control, rules: Enable llvm/opencl on arm64. (LP: #1585942)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 16 Jul 2016 13:03:04 +0300

mesa (11.2.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump Standards-Version to 3.9.8 (no changes).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 11 May 2016 12:22:28 +0200

mesa (11.2.1-2) unstable; urgency=medium

  * gallivm-disable-avx512-features.diff: LLVM 3.8 enables AVX512 on all
    Skylake CPU's when it's a server-CPU feature. Disable it from the
    llvmpipe driver so that it doesn't crash on non-server Skylake.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 May 2016 15:17:24 +0300

mesa (11.2.1-1) experimental; urgency=medium

  * New upstream release.
  * control, rules: Use llvm/clang 3.8.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Apr 2016 11:25:00 +0300

mesa (11.2.0-1) experimental; urgency=medium

  [ Andreas Boll ]
  * control: Fix vdpau-va-driver Breaks/Replaces for mesa-va-drivers
    (Closes: #819655).
  * control: Bump Standards-Version to 3.9.7 (no changes).
  * watch: Update url to use https instead of ftp.

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Disable tests for now, most of them weren't run before anyway
    and they cause unnecessary ftbfs on some archs.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 31 Mar 2016 16:52:51 +0200

mesa (11.2.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Mar 2016 09:35:05 +0300

mesa (11.2.0~rc3-2) experimental; urgency=medium

  * mesa-va-drivers: Build gallium VA driver, and add symlinks for
    nouveau, r600 and radeonsi.
  * control: Add vdpau-va-driver Breaks/Replaces for mesa-va-drivers.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Mar 2016 14:01:20 +0200

mesa (11.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop upstreamed patches.
  * libgl1-mesa-glx.symbols: Remove dropped symbols.
  * rules,control: Drop -dbg packages, we have -dbgsym now.
  * rules, *.install.in, not-installed: Drop dri/-build prefix, we build
    everything in one pass nowadays.
  * control: Bump libdrm-dev build-dep to 2.4.67 for freedreno.
  * rules: Migrate to dh.
  * control: Add dh-autoreconf to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Mar 2016 01:01:55 +0200

mesa (11.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 18 Apr 2016 19:04:40 +0200

mesa (11.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Feb 2016 13:14:08 +0200

mesa (11.1.1-2) unstable; urgency=medium

  * Limit the symbols glXGetDriverConfig and glXGetScreenDriver to
    arch=!hurd-any (Fixes FTBFS on hurd).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 15 Jan 2016 18:44:52 +0100

mesa (11.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Enable support for virgl (Closes: #807774).
  * Enable support for vc4 (Closes: #809406).
  * Enable support for freedreno on arm64.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 14 Jan 2016 11:27:28 +0100

mesa (11.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add a patch to remove the unused symbol
    _glapi_create_table_from_handle from libGL.so.1.
  * Replace shlibs file with a symbols file for libgl1-mesa-glx.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Tue, 15 Dec 2015 20:24:10 +0100

mesa (11.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump libdrm-dev build-dep to 2.4.65.
  * Update symbols for libgles2-mesa and libxatracker2.
  * Remove Breaks/Conflicts/Provides/Replaces from pre-wheezy.
  * Remove duplicated field "Priority" from package libgl1-mesa-dri.
  * Declare Multi-Arch: same for mesa-opencl-icd{,-dbg} (Closes:
    #804919).
  * Add a Lintian override for symbols-declares-dependency-on-other-
    package libgbm1-private.
  * Remove obsolete libgl1-mesa-dri.lintian-overrides.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 10 Dec 2015 12:22:54 +0100

mesa (11.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Dec 2015 16:12:35 +0200

mesa (11.0.7-1) unstable; urgency=medium

  [ Julien Cristau ]
  * Update debian/copyright from docs/license.html (closes: #806805).  Thanks,
    Steinar H. Gunderson!

  [ Andreas Boll ]
  * New upstream release.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 09 Dec 2015 21:18:17 +0100

mesa (11.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump libvdpau-dev build-dep.
  * Add docs-Replace-sourceforge-logo-with-a-text-link.patch (Fixes
    Lintian error privacy-breach-logo).
  * Add some Lintian overrides for package-name-doesnt-match-sonames.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 27 Nov 2015 08:59:30 +0100

mesa (11.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 12 Nov 2015 11:55:02 +0100

mesa (11.0.4-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
  * Cherry-pick commit 70e91d6 (i965: Remove early release of DRI2
    miptree) from upstream (Closes: #769518).
  * control: Add libclc-amdgcn to mesa-opencl-icd depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 26 Oct 2015 10:30:04 +0200

mesa (11.0.2-1) experimental; urgency=medium

  [ Andreas Boll ]
  * control: Bump libclc dependencies.

  [ Timo Aaltonen ]
  * New upstream release.
  * rules, control: Enable llvmpipe on ppc64el. (LP: #1489483)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Sep 2015 16:35:59 +0300

mesa (11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 14 Sep 2015 14:23:13 +0300

mesa (11.0.0~rc3-1) experimental; urgency=medium

  [ Andreas Boll ]
  * Use https for Vcs-* fields.

  [ Timo Aaltonen ]
  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Sep 2015 15:04:32 +0300

mesa (11.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Sep 2015 11:38:28 +0300

mesa (11.0.0~rc1-1) experimental; urgency=medium

  [ Andreas Boll ]
  * New upstream release candidate.
  * control: Drop unneeded libomxil-bellagio-dev build-dep.
  * rules: Explicitly disable vaapi (Closes: #789100).
  * control: Update upstream url.
  * control: Update Vcs-* fields.
  * Drop libgl1-mesa-swx11* packages.
  * control: Update package description.

  [ Timo Aaltonen ]
  * control: Delete commented out libgl1-mesa-glx-i686 from the file.
  * control: Bump llvm/libclang build-deps to match versions where
    amdgpu is enabled.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 24 Aug 2015 11:15:16 +0300

mesa (11.0.0~git20150817-1) experimental; urgency=medium

  * New upstream snapshot
  * control: Bump libdrm build-dep to 2.4.63.
  * control: Add libomxil-bellagio-dev to build-deps.
  * rules: Disable gles1 & 2 for swx11 builds.
  * libegl1-mesa.symbols, libgles2-mesa.symbols: Updated
  * control, rules: Migrate to llvm 3.7.
  * rules: Enable llvmpipe on armhf again.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 18 Aug 2015 07:53:45 +0300

mesa (10.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Sep 2015 17:21:49 +0300

mesa (10.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 14 Sep 2015 11:15:23 +0300

mesa (10.6.5-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.

  [ Julien Cristau ]
  * Break libopengl-perl (<< 0.6704+dfsg-2), thanks to Niko Tyni
    (closes: #796918)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Sep 2015 12:26:37 +0300

mesa (10.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Aug 2015 09:11:47 +0300

mesa (10.6.3-1) unstable; urgency=medium

  * New upstream release.
  * libegl1-mesa.symbols: Updated.
  * not-installed: Dropped wmesa.h which is gone.
  * libgles{1,2}-mesa.symbols: Updated.
  * libegl1-mesa.symbols: Drop a spurious comment.
  * source/local-options: Updated extend-diff-ignore.
  * mesa-common-dev.docs: Updated.
  * Delete i965-do_blit...patch, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2015 11:12:44 +0300

mesa (10.5.9-2) unstable; urgency=medium

  * i965-do_blit_drawpixels-decode-array-formats.patch: Fix a regression
    since 10.5.5, allow using blit fastpath again.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Jul 2015 13:01:40 +0300

mesa (10.5.9-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Jul 2015 08:56:26 +0300

mesa (10.5.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jun 2015 18:50:11 +0300

mesa (10.5.7-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.6, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jun 2015 11:57:08 +0300

mesa (10.5.5-1) unstable; urgency=medium

  [ Maarten Lankhorst ]
  * New upstream release.
  * Update watch file.

  [ Timo Aaltonen ]
  * libegl1-mesa.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 May 2015 13:26:49 +0300

mesa (10.4.2-2) unstable; urgency=medium

  * rules: Drop dh_makeshlibs exception on gbm_gallium_drm.so as it's
    gone now.
  * control: Add depends on libwayland-egl1-mesa to libegl1-mesa-dev,
    since it ships libwayland-egl.so on Linux.
  * control: Mark libegl1-mesa-drivers M-A: same again. (Closes:
    #775370)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Jan 2015 15:28:40 +0200

mesa (10.4.2-1) experimental; urgency=medium

  * New upstream release.
  * control, rules, libopenvg*, libgbm1, libegl1-mesa-drivers:
    Drop EGL/GBM state trackers and OpenVG.
  * control: Make libegl1-mesa-drivers transitional.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Jan 2015 13:43:51 +0200

mesa (10.3.2-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream stable release.
    - Fixes crashes in vdpau with the r600g driver (Closes: #766058).

 -- Julien Cristau <jcristau@debian.org>  Mon, 27 Oct 2014 11:40:24 +0100

mesa (10.3.1-1) unstable; urgency=medium

  * Build libgbm on kfreebsd (fixes FTBFS).
  * New upstream stable release.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Mon, 13 Oct 2014 17:56:27 +0200

mesa (10.3.0-2) experimental; urgency=medium

  * Add missing Replaces/Breaks for the gallium-pipe move.

 -- Julien Cristau <jcristau@debian.org>  Fri, 10 Oct 2014 00:09:47 +0200

mesa (10.3.0-1) experimental; urgency=medium

  [ Maarten Lankhorst ]
  * New upstream release.
  * Remove upstreamed patch.
    - 01_gallium-util-add-missing-u_debug-include.patch

  [ Andreas Boll ]
  * Move gallium-pipe installation from libgl1-mesa-dri.install.linux.in
    to mesa-opencl-icd.install.in, because it's only needed for opencl.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 08 Oct 2014 10:30:05 +0200

mesa (10.3.0~rc3-3) experimental; urgency=medium

  [ Andreas Boll ]
  * Bump llvm-3.5-dev and libclang-3.5-dev to 1:3.5-1, should fix FTBFS on
    kfreebsd-*.
  * Bump compat to v9 for changed dh_strip behavior:
    - dh_strip puts separated debug symbols in a location based on their
      build-id (Closes: #755921).
  * Drop redundant libegl1-mesa-drivers.install.linux.in.

  [ Dima Kogan ]
  * All -dev packages are now Multi-Arch: same (Closes: #689088, #678040).

  [ Julien Cristau ]
  * Upload clean source without partial Ubuntu alternatives patches (closes: #761678)

 -- Julien Cristau <jcristau@debian.org>  Mon, 15 Sep 2014 22:39:15 +0200

mesa (10.3.0~rc3-2) experimental; urgency=medium

  [ Andreas Boll ]
  * Add 01_gallium-util-add-missing-u_debug-include.patch, fixes FTBFS on
    big endian archs.
  * Enable --with-egl-platforms=drm on kfreebsd-any, should fix FTBFS.
  * Don't try to install vdpau hardlinks on hurd, should fix FTBFS.

  [ Fabio Pedretti ]
  * debian/rules: minor cleanup.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 15 Sep 2014 11:01:55 +0200

mesa (10.3.0~rc3-1) experimental; urgency=medium

  [ Maarten Lankhorst ]
  * Build with llvm 3.5.
  * New upstream release.
  * Remove mention of tdfx.

  [ Timo Aaltonen ]
  * mesa-common-dev: Add glcorearb.h.
  * not-installed: Skip libglapi.so.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 08 Sep 2014 15:50:42 +0200

mesa (10.2.5-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - nv50: fix build failure on m68k due to invalid struct alignment
      assumptions (Closes: #728053).
    - i915: Fix up intelInitScreen2 for DRI3 (Closes: #754297).

  [ Matthias Klose ]
  * Add patch to fix FTBFS on x32. (Closes: #757703)
    - x32-updates.patch

  [ Maarten Lankhorst ]
  * Enable support for freedreno.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 11 Aug 2014 13:34:58 +0200

mesa (10.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Sun, 20 Jul 2014 10:20:05 +0200

mesa (10.2.3-1) unstable; urgency=low

  [ Maarten Lankhorst ]
  * New upstream release.

  [ Julien Cristau ]
  * Add debian/upstream/signing-key.asc, and add pgpsigurlmangle option to
    debian/watch so uscan can check signatures on release tarballs.

 -- Julien Cristau <jcristau@debian.org>  Wed, 09 Jul 2014 19:39:06 +0200

mesa (10.2.2-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - glx: Don't crash on swap event for a Window (non-GLXWindow)
      (Closes: #685328).
    - 01_targets-xa-limit-the-amount-of-exported-symbols.diff dropped,
      upstream
  * Cherry-pick commit b4dcf87 (glxext: Send the Drawable's ID in the
    GLX_BufferSwapComplete event) from upstream, fixes intel + dri3.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 03 Jul 2014 09:54:48 +0200

mesa (10.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 23 Jun 2014 12:00:09 +0200

mesa (10.2.1-1) experimental; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - 01_glapi-Duplicate-GLES1-prototypes-in-glapi_dispatch.c.diff
      dropped, upstream
  * Add 01_targets-xa-limit-the-amount-of-exported-symbols.diff, fixes
    FTBFS with gcc-4.9.
  [ Maarten Lankhorst ]
  * Attempt to fix a FTBFS on hurd.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 16 Jun 2014 15:41:59 +0200

mesa (10.2.0~rc4-2) experimental; urgency=medium

  [ Andreas Boll ]
  * Add 01_glapi-Duplicate-GLES1-prototypes-in-glapi_dispatch.c.diff,
    should fix FTBFS on non-i386 and non-amd64.

  [ Emilio Pozuelo Monfort ]
  * Upload to experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 31 May 2014 00:44:19 +0200

mesa (10.2.0~rc4-1) experimental; urgency=medium

  [ Fabio Pedretti ]
  * debian/rules: remove unused --with-llvm-shared-libs configure option
  * debian/control: remove python-libxml2 dependency

  [ Julien Cristau ]
  * Bump libdrm-dev build-dep to 2.4.54 per configure.ac.
  * Bump libxcb-dri2 and libxcb-glx build-deps per configure.ac.
  * Remove Cyril Brulebois from Uploaders.
  * debian/rules: explicitly disable omx.

  [ Maarten Lankhorst ]
  * New upstream release candidate.

  [ Andreas Boll ]
  * New upstream release candidate.
    - 01_no_undefined.diff dropped, upstream
  * Don't try to enable xa on !linux.

  [ Emilio Pozuelo Monfort ]
  * Upload to experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 24 May 2014 15:16:23 +0200

mesa (10.2.0~rc1-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
    - 02_gbm_no_undefined.diff dropped, upstream
    - 03_gbm_make_devices_static.diff dropped, upstream
  * control: Bump libdrm-dev build-dependency.
  * Drop a symbol from libxatracker2.
  * libosmesa6: Bump the soname to upstream default (8), drop
    04_osmesa_version.diff. Add a symlink with the old name to point to
    the new lib.

  [ Julien Cristau ]
  * Add 01_no_undefined.diff to actually add -Wl,--no-undefined to the linker
    flags for our shared libraries.

  [ Andreas Boll ]
  * Relax ocl-icd-libopencl1 dependency to allow the generic virtual
    libopencl1 as a valid alternative (Closes: #745765).
  * Add missing separator between dependency items '${misc:Depends}'
    and 'libglapi-mesa (= ${binary:Version})'.

 -- Julien Cristau <jcristau@debian.org>  Wed, 14 May 2014 22:57:08 +0200

mesa (10.1.4-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.

  [ Andreas Boll ]
  * New upstream release.
  * Bump llvm-3.4-dev and libclang-3.4-dev to 1:3.4.1-3
    - Enables geometry shaders on radeonsi

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 27 May 2014 12:05:35 +0200

mesa (10.1.2-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    + i965: Don't enable reset notification support on Gen4-5 (Closes: #746557)

 -- Julien Cristau <jcristau@debian.org>  Tue, 06 May 2014 09:31:26 +0200

mesa (10.1.1-1) unstable; urgency=low

  [ Andreas Boll ]
  * New upstream release.
  * Relax ocl-icd-libopencl1 dependency to allow the generic virtual
    libopencl1 as a valid alternative (Closes: #745765).
  * Add missing separator between dependency items '${misc:Depends}'
    and 'libglapi-mesa (= ${binary:Version})'.

 -- Julien Cristau <jcristau@debian.org>  Sun, 27 Apr 2014 19:51:45 +0200

mesa (10.1.0-5) unstable; urgency=low

  [ Maarten Lankhorst ]
  * Add explicit libudev1 dependency (LP: #1296947)
    - libudev is being dlopened now, but still a dependency.

  [ Julien Cristau ]
  * Fix libegl1-mesa-dev installability on hurd, which doesn't have
    libegl1-mesa-drivers (closes: #742335).  Thanks, Pino Toscano!

 -- Julien Cristau <jcristau@debian.org>  Mon, 31 Mar 2014 15:58:53 +0200

mesa (10.1.0-4) unstable; urgency=medium

  [ Andreas Boll ]
  * Fix unsatisfiable libwayland-egl1-mesa and libwayland-dev dependency on
    !linux (Closes: #742306).
  * Install /etc/drirc on hurd (Closes: #741572).

 -- Julien Cristau <jcristau@debian.org>  Sat, 22 Mar 2014 10:39:12 +0100

mesa (10.1.0-3) unstable; urgency=medium

  [ Andreas Boll ]
  * Build OpenCL only on architectures where we have LLVM enabled.
  * Actually enable radeonsi on kfreebsd.

  [ Sven Joachim ]
  * Drop dependency of libegl1-mesa-drivers on libgl1-mesa-dri again.

  [ Julien Cristau ]
  * Steal Ubuntu patch to work around build failure on armhf
    (https://bugs.freedesktop.org/show_bug.cgi?id=72064)
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Wed, 19 Mar 2014 22:48:14 +0100

mesa (10.1.0-2) experimental; urgency=medium

  [ Sjoerd Simons ]
  * Install libwayland-egl in a separate library package (libwayland-egl1-mesa)
    and provide a virtual libwayland-egl1 package. (Closes: #739269).

 -- Julien Cristau <jcristau@debian.org>  Mon, 17 Mar 2014 23:11:14 +0100

mesa (10.1.0-1) experimental; urgency=low

  [ Andreas Boll ]
  * Disable dri3 on !linux
  * Enable building drivers for libvdpau1 (Closes: #705558).
  * New upstream release.
  * Drop 01-hurd.diff, upstream in 10.1.0.
  * Next attempt to fix FTBFS on hurd

  [ Sven Joachim ]
  * Drop dependency of libegl1-mesa-drivers on libgl1-mesa-dri.

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 Mar 2014 22:16:32 +0100

mesa (10.1.0~rc2-1) experimental; urgency=medium

  [ Maarten Lankhorst ]
  * Add missing depends to keep lib(e)gl1-dev usable.
  * Bump to rc2.

  [ Emilio Pozuelo Monfort ]
  * Update build dependencies and dependencies minimum versions. Thanks to
    Fabio Pedretti <fabio.ped@libero.it> for the patch.

  [ Andreas Boll ]
  * Attempt to fix FTBFS on hurd.
  * Cherry pick some fixes for GLX fbconfig. (Closes: #739691)

  [ Samuel Thibault ]
  * Enable egl and gles on hurd (closes: #729260)

  [ Julien Cristau ]
  * libgbm1.symbols: try to avoid listing private symbols.
  * Enable radeon/r200/r300/r600/radeonsi on kfreebsd (closes: #732337).
    Thanks, Robert Millan!
  * gallium: fix build failure on powerpcspe (closes: #695746).  Thanks, Roland
    Stigge!

 -- Julien Cristau <jcristau@debian.org>  Sun, 02 Mar 2014 20:22:47 +0100

mesa (10.1.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Add new build-depends for dri3.
  * Refresh libegl1-mesa and gbm symbols.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 12 Feb 2014 11:50:39 +0100

mesa (10.0.2-1) experimental; urgency=low

  [ Maarten Lankhorst ]
  * Stop building libgl1-mesa-dri-experimental (Closes: #685104).
    - It's been empty since 8.0.
  [ Matthias Klose ]
  * Move to llvm-3.4.

  [ Julien Cristau ]
  * Fix FTBFS on kfreebsd.
  * ... and attempt to fix FTBFS on hurd.
  * New upstream stable release.

 -- Julien Cristau <jcristau@debian.org>  Sat, 25 Jan 2014 10:44:22 +0100

mesa (10.0.1-1) experimental; urgency=low

  * New upstream release.
  * Do not attempt to build i915 and i965 on arm.
  * Enable radeonsi on arm.
  * Disable llvmpipe on armhf, it regresses.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 18 Dec 2013 15:18:25 +0100

mesa (10.0.0-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control:
    + Let libegl1-mesa-dev depend on libwayland-dev as wayland-egl.pc
      requires wayland-client.pc.

  [ Maarten Lankhorst ]
  * New upstream release.
  * Refresh patches for 10.0-rc1.
  * Bump libdrm-dev requirement to 2.4.48 for intel.
  * Add breaks on xserver-xorg-core without support for loading megadriver.
  * Cherry pick commit to hide some gbm symbols.
  * Manually install *_dri.so to preserve mega-driver hardlinks.

  [ Timo Aaltonen ]
  * rules: Enable llvmpipe on armhf, should work now.

 -- Julien Cristau <jcristau@debian.org>  Sun, 08 Dec 2013 15:17:17 +0100

mesa (9.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Tue, 22 Oct 2013 10:59:20 +0200

mesa (9.2.1-1) experimental; urgency=low

  * New upstream release.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 07 Oct 2013 10:00:39 +0200

mesa (9.2-1) experimental; urgency=low

  [ Jon Severinsson ]
  * control: Recommend libtxc-dxtn-s2tc0 | libtxc-dxtn0, not just the virtual libtxc-dxtn0.
  * control: Bump libdrm-dev build-dependency to 2.4.45.
  * control: Add versioned libglapi-mesa dependency to libosmesa6.
  * libgl1-mesa(-swx11)-dev.install.in: Install the correct pkgconfig/gl.pc files.
  * rules: Add --disable-shared-glapi to the swx11-i386-i686 target.

  [ Maarten Lankhorst ]
  * Bump libdrm-dev to 2.4.46.

  [ Sven Joachim ]
  * Remove the workaround for sparc introduced in version 7.10-2.

  [ Maarten Lankhorst ]
  * New upstream release.
  * Refresh 02_gbm_no_undefined.diff.
  * Drop 12_fix_glapi_gen.diff, upstreamed.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 28 Aug 2013 10:28:20 +0200

mesa (9.2~rc1-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches for 9.2:
    - 02_gbm_no_undefined.diff.
    - 04_osmesa_version.diff
    - 06_kfreebsd-ftbfs.diff
  * Removed writes to srcdir, fixing parallel builds.
    - 12_fix_glapi_gen.diff
  * Require llvm-3.3-dev >= 1:3.3-4 and libelf-dev.
  * Update symbols files.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Tue, 20 Aug 2013 15:42:31 +0200

mesa (9.1.7-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * libgl1-mesa-glx: Add Breaks: glx-diversions (<< 0.4) because the old
    versions were not aware of libGL.so.1.2.0.  (Closes: #720069)

  [ Maarten Lankhorst ]
  * New upstream release.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 07 Oct 2013 11:34:34 +0200

mesa (9.1.6-2) unstable; urgency=low

  * Don't run 'make -j' if DEB_BUILD_OPTIONS doesn't set parallel.  Oops.

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Aug 2013 08:00:21 +0200

mesa (9.1.6-1) unstable; urgency=low

  [ Andreas Boll ]
  * New upstream release. (Closes: #717410)
  * Cherry-pick commit 0dbbfa0 (mesa: Fix MESA_PATCH version) from
    upstream.

  [ Julien Cristau ]
  * Don't run configure for different builds in parallel.

 -- Julien Cristau <jcristau@debian.org>  Sun, 11 Aug 2013 18:15:58 +0200

mesa (9.1.4-1) unstable; urgency=low

  [ Julien Cristau ]
  * Don't call wayland_buffer_is_drm from libgbm, it's in libEGL
    (closes: #712556).
  * Make sure libgbm doesn't have undefined symbols.

  [ Andreas Boll ]
  * Use dpkg-buildflags.
  * Disable silent rules.
  * Cherry-pick commit 0829b89 (mesa: Fix ieee fp on Alpha) from upstream
    (Fixes FTBFS on alpha)

  [ Timo Aaltonen ]
  * New upstream release.

  [ Julien Cristau ]
  * libegl1-mesa-drivers depends on libgl1-mesa-dri for libllvmradeon
    (closes: #714828)

 -- Julien Cristau <jcristau@debian.org>  Sat, 06 Jul 2013 11:37:34 +0200

mesa (9.1.3-6) unstable; urgency=low

  * Team upload.

  * debian/libegl1-mesa.symbols:
    + More kfreebsd build fixes. Mark some symbols as linux-any.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 07 Jun 2013 20:27:55 +0200

mesa (9.1.3-5) unstable; urgency=low

  * Team upload.

  [ Andreas Boll ]
  * debian: Don't install libllvmradeon*.so on kfreebsd-*, fixes FTBFS.

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 07 Jun 2013 14:12:43 +0200

mesa (9.1.3-4) unstable; urgency=low

  * Team upload.

  [ Andreas Boll ]
  * debian: Fix another kfreebsd-* FTBFS with adding libgl1-mesa-
    dri.install.kfreebsd.in, where we don't install gallium-pipe/*.so

  [ Emilio Pozuelo Monfort ]
  * Release to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 07 Jun 2013 00:50:34 +0200

mesa (9.1.3-3) experimental; urgency=low

  [ Andreas Boll ]
  * debian/not-installed: Remove /etc/drirc, it's shipped since 8.0.5-1.
    Fixes build on hurd.
  * debian: Fix build regression on !hurd.
    Fix it with libgl1-mesa-dri.install.hurd.in, where we don't install drirc.
  * Cherry-pick commit 7de78ce5, 07f2dee and 9622049 from upstream
    (Fixes FTBFS on kfreebsd-*)
    - configure.ac: Remove redundant checks of enable_dri.
    - configure.ac: Build dricommon for DRI gallium drivers
    - configure.ac: Build dricommon for gallium swrast
  * Memory corruption (OOB read/write) in i965 driver [CVE-2013-1872]

  [ Julien Cristau ]
  * Build i915 and i965 on kfreebsd.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 06 Jun 2013 10:29:15 +0200

mesa (9.1.3-2) experimental; urgency=low

  * Team upload.

  [ Julien Cristau ]
  * Fix build of swrast only without libdrm, causing build failure on hurd
    (cherry-picked from upstream).  Thanks, Andreas Boll!

  [ Andreas Boll ]
  * debian/not-installed: Remove glut headers
  * debian/patches: Drop 05_kfreebsd-egl-x11.diff, fixed by eglibc (2.17-4)
  * debian/rules: Use rm -f instead of rm for deleting libdricore*.so, fixes
    build failure on kfreebsd-*.
  * glapi: Add some missing static_dispatch=false annotations to
    es_EXT.xml. Fixes FTBFS on powerpc and ia64 (cherry-picked from
    upstream).

  [ Emilio Pozuelo Monfort ]
  * Release to experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 03 Jun 2013 15:25:19 +0200

mesa (9.1.3-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Set close on exec flag when opening dri devices (Closes: #651370).
    - Don't emit a .note.ABI-tag section anymore (Closes: #628758).

  [ Timo Aaltonen ]
  * Refresh patches
    - disable 05_kfreebsd-egl-x11.diff for now.
  * control: Added libtool to build-depends.
  * rules: Drop special handling of config.{guess,sub}, not needed anymore.
  * rules, libosmesa*: Build only the 32bit OSMesa library.
  * control: Bump libdrm build-dep to 2.4.39.
  * control: Bump libwayland-dev build-dep to 0.95.
  * rules: Update the clean target.
  * rules: Add --disable-shared-glapi to the swx11 targets.
  * libosmesa*.install.in: Install files from the correct path.
  * rules: --with-driver= is deprecated, use --enable-foo.
  * rules: Purge .la files before dh_install.
  * Update symbols.
  * libgl1-mesa-dri.install*.in: Add libdricore.
  * control: Add new dependencies to libgl1-mesa-dev.
  * rules, libgl1-mesa-dri.install.linux.in: Add support for radeonsi.
  * rules: Build llvm shared libs on platforms that support llvm.
  * control, rules, libglu*: Remove libglu packaging, since it's been split
    off upstream.
  * rules: Disable dri for the swx11 targets.
  * not-installed: Updated.
  * Update symbols for libgles2-mesa and libxatracker1.
  * libegl1-mesa-drivers.install.linux: Bump libwayland-egl.so version
  * control: Add libdrm-dev to mesa-common-dev Depends.
  * control: Build-depend on llvm-3.2-dev (Closes: #678822).
  * libgl1-mesa-dri.install.in: Include gallium-pipe/*.so and libllvmradeon*.so.
  * rules: Add files to clean.
  * control: Add libxcb-dri2-0-dev to libgl1-mesa-dev depends.

  [ Steve Langasek ]
  * Install all dri drivers from the DESTDIR tree, instead of copying them
    from the build tree; this simplifies the install rules since we know
    already that we're only building drivers that we want to ship, and
    avoids rpath problems with libtool linking to in-tree convenience
    libraries.
  * debian/rules: don't install libdricore*.so, this isn't a public library.
  * Add Pre-Depends on multiarch-support to libgl1-mesa-dri, since we're
    shipping a shared library in the package; not an issue in practice since
    this is all post-wheezy / post-precise, but it's an archive reject error
    in Debian right now so let's just be complete.

  [ Maarten Lankhorst ]
  * Bump standards-version to 3.9.3.
  * control: Bump libwayland-dev build-dep to 1.0.2.
  * Remove 13-llvm-config-pick-a-version.diff and just pass a flag to configure.

  [ Robert Hooker ]
  * Drop xutils-dev build dep, makedepend is no longer required
  * Recommend libtxc-dxtn0 in libgl1-mesa-dri for easier use with multiarch
    installs (Closes: #668645).
  * Drop 02_use-ieee-fp-on-s390-and-m68k.patch, upstream in 9.1.2.
  * Drop 10-hurd-configure-tweaks.diff, upstream in 9.1.2.

  [ Sven Joachim ]
  * Bump libdrm-dev build-dependency to 2.4.42.

  [ Rico Tzschichholz ]
  * Update packaging mesa packaging with xorg-edgers

  [ Emilio Pozuelo Monfort ]
  * integer overflows calculating memory needs for replies [CVE-2013-1993]
  * Bump llvm-3.2-dev build dependency to 1:3.2repack-7~ for a fixed
    llvm-config-3.2 --libdir, otherwise configure fails.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 28 May 2013 21:15:55 +0200

mesa (8.0.5-4) unstable; urgency=low

  * Cherry-pick commit 17f1cb1d99 (dri/nouveau: fix crash in
    nouveau_flush) from upstream master branch.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 13 Mar 2013 17:52:18 +0100

mesa (8.0.5-3) unstable; urgency=high

  * mesa: add bounds checking for uniform array access (CVE-2012-5129).

 -- Julien Cristau <jcristau@debian.org>  Thu, 06 Dec 2012 10:20:40 +0100

mesa (8.0.5-2) unstable; urgency=low

  * Fix regression in 8.0.5 (spurious GL_INVALID_ENUM errors):
    mesa: test for GL_EXT_framebuffer_sRGB in glPopAttrib().
    Thanks to Simon Chopin for the report.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Nov 2012 22:09:14 +0100

mesa (8.0.5-1) unstable; urgency=low

  * New upstream stable release
  * Pull a couple more fixes from upstream's 8.0 branch, including:
    - nvfx: handle some unknown PIPE_CAPs (closes: 674965)
  * Install drirc in libgl1-mesa-dri package with some settings for i965
    (closes: #671747).

 -- Julien Cristau <jcristau@debian.org>  Sun, 04 Nov 2012 16:55:17 +0100

mesa (8.0.4-2) unstable; urgency=high

  * Use xz for all binary packages not just *-dbg.
  * glsl/linker: Avoid buffer over-run in
    parcel_out_uniform_storage::visit_field (CVE-2012-2864; closes: #685667).

 -- Julien Cristau <jcristau@debian.org>  Fri, 24 Aug 2012 00:09:47 +0200

mesa (8.0.4-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream stable release (Closes: #682703).
  * Cherry-pick commit fbf86c7f0f (i965/gen7: Reduce GT1 WM thread count
    according to updated BSpec.) from upstream.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Jul 2012 13:17:06 +0200

mesa (8.0.3-1) unstable; urgency=low

  [ Robert Hooker ]
  * New upstream stable release (Closes: #673532)
  * Refresh patches.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 13 Jun 2012 14:58:54 +0200

mesa (8.0.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 May 2012 21:42:35 +0200

mesa (8.0.2-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream bugfix release. (LP: #926379)
  * control: libegl1-mesa-dev should depend on -drivers so that the
    symlinks work.

  [ Robert Hooker ]
  * Add libudev-dev to libgbm-dev dependencies.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Apr 2012 15:51:10 +0200

mesa (8.0-2) experimental; urgency=low

  [ Julien Cristau ]
  * Only build the radeon, r200, i915 and i965 dri drivers on Linux.  They
    require KMS.

  [ Cyril Brulebois ]
  * Fix FTBFS on GNU/kFreeBSD with libgl1-mesa-dri.install.kfreebsd.in:
    there's no *_dri.so file left in the top directory, only swrast is
    built and shipped under gallium/. So mention it explicitly, in the
    same way as it is done in the libgl1-mesa-dri.install.linux.in file.
  * Enable wayland support again, but only on Linux. Wayland needs some
    porting (it uses *CLOEXEC flags and epoll). For that, add those files
    since EGL packages are also shipped on GNU/kFreeBSD, and we need to
    add a few files for Wayland, but only for Linux:
    - libegl1-mesa-dev.install.linux.in
    - libegl1-mesa-drivers.install.linux.in
  * Limit the wl_drm_interface symbol to arch=linux-any accordingly,
    and bump the version.
  * Limit the build-dependency on libwayland-dev to linux-any too, and
    bump it.
  * Automatically revert changes to bin/{config.{guess,sub},install-sh} in
    the clean target. The first two are modified, the last one needs to be
    turned back into a symlink.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Feb 2012 16:18:14 +0100

mesa (8.0-1) experimental; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * Disable patch temporarily (needs a refresh):
    - 11-hurd-ftbfs-again.diff
  * Drop patch, no longer needed since swrastg was renamed to swrast:
    - 14-load-swrastg-before-swrast.diff
  * Update rules file to strop building DRI1 drivers, they went away
    with the following upstream commit:
    - dri: Remove all DRI1 drivers (e4344161bd).
  * Update not-installed for removed files.
  * Stop trying to ship swrastg through libgl1-mesa-dri-experimental,
    it replaced the non-gallium variant.

  [ Timo Aaltonen ]
  * Refresh patches.
  * control: Add libxcb-glx0-dev to build-depends.
  * control: Drop libglw1-mesa, libglw1-mesa-dev, glw got moved to a
    separate source package.
  * libegl-mesa.symbols, libgles2-mesa.symbols: Add new symbols.
  * rules: Drop obsolete configure options.
  * Enable vmwgfx gallium driver & xatracker. (Closes: #652501).
  * Build llvmpipe swrast only on non-hurd x86, traditional for the
    rest.
  * rules: No need to copy nouveau_vieux to the gallium dir, it's
    installed in libgl1-mesa-dri now.
  * rules: Handle installing r300_dri.so like other gallium drivers,
    in libgl1-mesa-dri.install.linux.in.

  [ Robert Hooker ]
  * Bump libdrm build dep to 2.4.30, x11proto-gl-dev to 1.4.14, and
    x11proto-dri2-dev to 2.6.
  * Add libxatracker packaging.
  * Add libxcb-glx0-dev to libegl1-mesa-dev depends.

  [ Christopher James Halse Rogers ]
  * debian/control: Add libx11-xcb-dev to libegl1-mesa-dev depends.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Feb 2012 14:02:04 +0100

mesa (7.11.2-1) unstable; urgency=low

  * New upstream release:
    - Fix a few intel bugs.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 11 Dec 2011 15:43:40 +0100

mesa (7.11.1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release.
  * Move the Nouveau drivers to the libgl1-mesa-dri package
    (Closes: #645239).
  * Install the swrastg driver in the libgl1-mesa-dri-experimental package
    (Closes: #605444).
    - New patch 14-load-swrastg-before-swrast.diff to prefer swrastg over
      swrast.
    - Build-depend on llvm-2.9-dev also on kfreebsd-{amd64,i386}.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 27 Nov 2011 18:54:24 +0100

mesa (7.11-6) unstable; urgency=low

  [ Julien Cristau ]
  * Inline what's left of debian/scripts/choose-configs in debian/rules.
  * Enable texture-float for dri (closes: #635651).
  * Update from upstream's 7.11 branch (commit e7794048)
  * Merge changes from 7.10.3-4, including:
    - Fix comments in libegl1-mesa.symbols to avoid impending FTBFS with the
      upcoming dpkg-dev 1.16.1 (closes: #642690)

  [ Cyril Brulebois ]
  * Document the symlink dance in README.source.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 24 Sep 2011 20:32:55 +0200

mesa (7.11-5) unstable; urgency=low

  * Merge patch from Pino Tiscano (thanks!):
    - Use hurd-any instead of: hurd-i386 (“wildcard archs are free”).
    - Use any-i386 instead of: i386 kfreebsd-i386 hurd-i386.
    - Rewrite a check in debian/rules to follow the same logic.
    - Switch libgbm1-dbg to arch: linux-any. This fixes uninstallability
      on kfreebsd-* by getting rid of this package there.
    - Switch libglapi-mesa{,-dbg} arch: any. This fixes the FTBFS on
      hurd-i386^Wany.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 28 Aug 2011 19:07:48 +0200

mesa (7.11-4) unstable; urgency=low

  * Use xz compression for dbg packages.
  * Simplify dh_strip calls a bit using make variables.
  * libgbm-dev is also linux-only, not just libgbm1.

 -- Julien Cristau <jcristau@debian.org>  Sat, 27 Aug 2011 12:02:42 +0200

mesa (7.11-3) unstable; urgency=low

  * Don't build libgbm on kfreebsd, it needs KMS/udev.
  * Build/ship r300g on all Linux architectures, not just x86.

 -- Julien Cristau <jcristau@debian.org>  Fri, 26 Aug 2011 11:04:45 +0200

mesa (7.11-2) unstable; urgency=low

  * Work around the lack of O_CLOEXEC on kfreebsd, fix FTBFS.
  * Don't crash on BadRequest from DRI2Connect, just fall back to sw or
    indirect.

 -- Julien Cristau <jcristau@debian.org>  Thu, 25 Aug 2011 23:13:35 +0200

mesa (7.11-1) unstable; urgency=low

  [ Christopher James Halse Rogers ]
  * New upstream release.
    - Fix regression from 7.10, missing characters in text display with
      intel drivers (Closes: #631516). Thanks to Martin Steigerwald for
      the report and the tests.
  * Temporarily disable Wayland EGL backend as it requires a newer
    libwayland-dev
  * Update rules for configure changes
  * debian/lib{egl1,openvg1}-mesa.install.in:
  * debian/libegl1-mesa-drivers.install.in:
    - Stop trying to install st_{GL,OpenVG} and pipe_*
      as they are all now built in to egl_gallium.so
  * Add libgbm{1,1-dbg,-dev} packages for the new buffer-manager library.
  * Drop 12-llvm-config-check.diff; upstream.
  * Refresh 13-llvm-config-pick-a-version.diff for new upstream.
  * Add strictly versioned dependencies on libglapi-mesa to libgl1-mesa-glx
    and libegl1-mesa-drivers as they also now depend on this internal library.
  * debian/rules:
  * debian/libgl1-mesa-dri.install.linux.in:
    - Manually install r300g only when we actually build it.  Fixes build on
      non-i386, non-amd64 linux.

  [ Julien Cristau ]
  * Don't use dh_testroot in clean.

 -- Julien Cristau <jcristau@debian.org>  Thu, 25 Aug 2011 00:15:27 +0200

mesa (7.11~0-2) experimental; urgency=low

  * Thank you sbuild for giving a green light when that's not actually the
    case. Fix missing Pre-Depends for the libegl1-mesa-drivers package
    (multiarch-support).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Jun 2011 21:26:00 +0200

mesa (7.11~0-1) experimental; urgency=low

  * New upstream snapshot, from the master branch (up to 2fe39b46e7).
  * Drop 05_hurd-ftbfs.diff, merged upstream (as 758561786c).
  * Refresh 06_kfreebsd-ftbfs.diff (due to 8fd8de3995).
  * Refresh 08-kfreebsd-gallium.diff (adjust offsets).
  * Add 10-hurd-configure-tweaks.diff to enable x86 assembler on Hurd,
    thanks to Pino Toscano.
  * Refresh 11-hurd-ftbfs-again.diff (adjust offsets and drop the
    src/gallium/auxiliary/os/os_time.c hunk, which should be OK since
    PIPE_OS_UNIX is used there, and should happily replace the use of
    PIPE_OS_HURD; and adapt for the removal of the PIPE_OS_EMBEDDED check).
  * debian/libegl1-mesa.install.in: Stop trying to install egl_dri2.so and
    egl_glx.so, since they are now built-in (since c98ea26e16).
  * debian/libgles{1,2}-mesa.install.in: Stop trying to install
    st_GLESv{1,2}_CM.so (respectively), which got removed. Quoting the
    commit message: “Remove GLES overlay. With core mesa doing runtime API
    checks, GLES overlay is no longer needed.” (12583174c5).
  * Drop --enable-gles-overlay from debian/rules accordingly.
  * Add 12-llvm-config-check.diff to handle --disable-gallium more
    properly.
  * Add 13-llvm-config-pick-a-version.diff, so that llvm-config-2.9 is
    searched by configure, instead of unversioned llvm-config.
  * Add a NOT_INSTALLED_EITHER variable to debian/not-installed. A few
    files might have to be removed, but only if that's a git snapshot
    (those files aren't in the released tarballs). Let's consider it's OK
    to run “rm -f” on them: {,dri/}usr/include/GL/glut{,f90}.h
  * Add libglapi-mesa{,-dbg} packages.
  * Use a package-name-doesnt-match-sonames override accordingly.
  * Update libegl1-mesa.symbols with new symbols.
  * Update libgles{1,2}-mesa.symbols now that internal symbols (_glapi_*
    and _glthread_GetID) moved to libglapi-mesa.
  * Add a gentarball target, to generate tarballs for git snapshots.
  * Replace “The OpenGL utility library…” with “Mesa OpenGL utility
    library…” in the description of the libglu1-mesa* packages.
  * Replace radeon with r300 in GALLIUM_DRIVERS to match upstream renaming
    (5722286be2).
  * Build r300 classic (through DRI_DRIVERS) everywhere, since r300g comes
    with a few additional requirements: LLVM is needed for this driver,
    and apparently only works fine on x86 platform. As a consequence, only
    build r300g on amd and i386, and add llvm-2.9-dev build-dep on those
    platforms accordingly. Disable it explicitly on other platforms.
  * Stop building i915g at all, it's apparently never going to be a
    suitable replacement for i915c.
  * Add libwayland-dev build-dep.
  * Add wayland to EGL_DISPLAYS on Linux.
  * Ship wayland-egl.pc and libwayland-egl.so in libegl1-mesa-dev; and ship
    libwayland-egl.so.1* in libegl1-mesa-drivers.
  * Update libegl1-mesa.symbols with new wl_drm_interface symbol.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Jun 2011 19:01:52 +0200

mesa (7.10.3-4) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Accept libmotif-dev as an alternative to lesstif2-dev in
    libglw1-mesa-dev's dependencies, as requested by Michael Hanke
    (Closes: #631236).
  * Merge upstream 7.10 branch up to e041956cb2.
  * Wrap Breaks fields.
  * Add Breaks: {xserver-xorg-core,libgl1-mesa-glx}-no-multiarch to
    libgl1-mesa-dri* to handle upgrades from squeeze-backports (without
    multiarch) to wheezy (with multiarch).
  * Add lintian overrides for breaks-without-version accordingly, those
    packages are only provided in squeeze-backports.
  * Replace “The OpenGL utility library…” with “Mesa OpenGL utility
    library…” in the description of the libglu1-mesa* packages.
  * Rename all remaining *.install files as *.install.in and use
    “${DEB_HOST_MULTIARCH}” instead of “*”.
  * Use the sed substitution on all debian/*.in files accordingly.
  * Remove debian/clean, and use the same for loop to remove the generated
    files.
  * Set urgency to “medium” to speed things up. Migration to testing is
    a prerequisite for squeeze backports.

  [ Sven Joachim ]
  * Fix comments in libegl1-mesa.symbols to avoid impending FTBFS with
    the upcoming dpkg-dev 1.16.1.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 07 Aug 2011 21:50:46 +0200

mesa (7.10.3-3) unstable; urgency=low

  * Update the “Breaks: xserver-xorg-core” from “(<= 2:1.10.2-1)” to
    “(<< 2:1.10.2-2)”. The first binNMU migrated to testing too soon,
    so it was needed to rebuild it again, in testing. Updating the
    Breaks makes sure that a multiarch mesa doesn't get installed with
    a server built against a pre-multiarch mesa.
  * Merge upstream 7.10 branch up to 1ad06c7a25.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Jun 2011 17:31:17 +0200

mesa (7.10.3-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Add Breaks against nvidia and fglrx packages, since they are also
    affected by the multiarch changes, and need fixing. Until fixed
    packages reach the archive, nvidia and fglrx users should stick to
    mesa 7.10.2-3 packages, currently available in testing. Thanks to
    Andreas and Patrick for the version strings (Closes: #630710).
  * Set CXXFLAGS along with CFLAGS (Closes: #630602). Thanks for the
    report and the patch, Fabio Pedretti!

  [ Julien Cristau ]
  * Prepend the multiarch dir to the dri driver search path.  ${ORIGIN}/dri
    works for libGL, but not for egl_dri2.so (which lives in /usr/lib/*/egl/).
    Thanks to Michel Dänzer for the heads-up!

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Jun 2011 11:46:20 +0200

mesa (7.10.3-1) unstable; urgency=low

  * New upstream release.
  * Add flex and bison build-deps (even though the generated files are
    stored in VCS, and shipped…).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Jun 2011 15:37:41 +0200

mesa (7.10.2-4) unstable; urgency=low

  [ Steve Langasek ]
  * Build for multiarch.

  [ Cyril Brulebois ]
  * Explanation of the “Breaks: xserver-xorg-core” part for our users: the
    server queries the DRI driver path at build time, which is getting
    changed for multiarch, so the server needs be rebuilt; a binNMU will
    take care of getting the server ready.
  * Many thanks for multiarch, Steve!
  * Update Uploaders list. Thanks, David and Brice!
  * Wrap Build-Depends.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Jun 2011 12:19:33 +0200

mesa (7.10.2-3) unstable; urgency=low

  * Merge upstream 7.10 branch up to eaadbacb5c.
  * Ship r600g again, it should be more usable now.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 31 May 2011 17:48:47 +0200

mesa (7.10.2-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Merge upstream 7.10 branch up to b8c6362389.
  * Get rid of leading article in short descriptions, taking care of this
    lintian tag for almost all binary packages:
    - description-synopsis-starts-with-article
  * Get rid of libgl1-mesa-dri-i686, already commented out in control file.

  [ Sven Joachim ]
  * Avoid installing the nouveau_vieux driver into libgl1-mesa-dri
    (Closes: #622222).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 02 May 2011 12:29:37 +0200

mesa (7.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 10 Apr 2011 23:42:41 +0200

mesa (7.10.1-1) experimental; urgency=low

  [ Cyril Brulebois ]
  * Revert to r600 classic, r600 gallium doesn't seem ready yet, after all
    (Closes: #612609).

  [ Julien Cristau ]
  * Set the DRI driver search path to "${ORIGIN}/dri", allowing libGL to find
    the drivers after being relocated to /usr/lib32 by ia32-libs
    (closes: #466790).  Thanks to Javier Serrano Polo for the suggestion.

  [ Christopher James Halse Rogers ]
  * New upstream release
    - Lots of intel bugfixes, mainly for Sandybridge.
    - Lots of GLSL spec conformance fixes
    - Drop 12-fix-fdo-31940.diff; included included in new release.
  * Remove talloc from build-depends.  This has been re-implemented in-tree.
  * Also drop patch fixing talloc linking.
  * Cherry-pick fix from master for changed nouveau headers in libdrm 2.4.24.
    - Also bump build-depend on libdrm to 2.4.24
  * Build and install nouveau_vieux driver in libgl1-mesa-dri-experimental.
    (Closes: #586062)

 -- Cyril Brulebois <kibi@debian.org>  Sun, 03 Apr 2011 21:26:05 +0200

mesa (7.10-4) unstable; urgency=low

  * debian/not-installed: Ignore the same files on *i386.
  * debian/local/control: Report-with: xserver-xorg{,-core}.
  * debian/local/script: New bug script, calling glxinfo if available,
    then the server's bug script.
  * New patch, thanks to Pino Toscano, fixing FTBFS on GNU/Hurd:
    - 11-hurd-ftbfs-again.diff
  * Make a lot of binary packages linux-any kfreebsd-any:
    - libegl1-mesa
    - libegl1-mesa-dbg
    - libegl1-mesa-dev
    - libegl1-mesa-drivers
    - libegl1-mesa-drivers-dbg
    - libopenvg1-mesa
    - libopenvg1-mesa-dbg
    - libopenvg1-mesa-dev
    - libgles1-mesa
    - libgles1-mesa-dbg
    - libgles1-mesa-dev
    - libgles2-mesa
    - libgles2-mesa-dbg
    - libgles2-mesa-dev
  * Disable EGL/Gallium/GLES/state trackers on GNU/Hurd.
  * Fix FTBFS on sparc64, treat it the same way as sparc. Thanks, Aurélien
    Jarno! (Closes: #613106).
  * Add patch for a crash in dri2_invalidate_drawable, thanks to Kai
    Wasserbäch (Closes: #612640):
    - 12-fix-fdo-31940.diff

 -- Cyril Brulebois <kibi@debian.org>  Wed, 16 Feb 2011 11:53:26 +0100

mesa (7.10-3) unstable; urgency=low

  [ Julien Cristau ]
  * debian/rules: RIP lpia.

  [ Cyril Brulebois ]
  * Cherry-pick from upstream (thanks to Dave Airlie for the hint):
    - radeon: fix build on non-KMS systems.
    This fixes the FTBFS on GNU/kFreeBSD.
  * Ship r300g (r300 gallium) on Linux only: Introduce Linux-specific
    libgl1-mesa-dri.install.linux to that effect.
  * According to Michel Dänzer, r600g (r600 gallium) is working well
    enough to be shipped now. Let's ship it, then!
  * Cherry-pick from upstream, fixing X's failure to start with UMS on
    r300g (Closes: #612380):
    - dri_util: fail driCreateNewScreen if InitScreen is NULL

 -- Cyril Brulebois <kibi@debian.org>  Tue, 08 Feb 2011 16:06:38 +0100

mesa (7.10-2) unstable; urgency=low

  * Fix FTBFS on i386: Add some files to debian/not-installed, on a
    per-architecture fashion (those are under /usr/lib/i686/cmov/).
  * Work around FTBFS on sparc due to new symbols: pass -c1 to
    dpkg-gensymbols instead of -c4 (on sparc only). Those symbols probably
    shouldn't be exported, but let's make it possible to build xorg-server
    1.9 in sid.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Feb 2011 11:16:26 +0100

mesa (7.10-1) experimental; urgency=low

  * New upstream release.
  * Add patch: 10-fix-talloc-linking.diff
  * Use debian/not-installed to keep track of files which aren't getting
    installed for now. Delete them before running dh_install. Use the list
    of files appearing in the build logs for 7.9+repack-2.
  * Switch from --list-missing to --fail-missing accordingly.
  * Pass -c4 to dpkg-gensymbols through dh_makeshlibs to make sure
    symbol-related changes are noticed and dealt with.
  * Update symbols files with new symbols:
    - libopenvg1-mesa.symbols
  * Remove “mesa internal ASM optimized functions” lines from symbols
    files, those seem to be gone, and with -c4 passed to dpkg-gensymbols,
    any related issue will break the build:
    - libgles1-mesa.symbols
    - libgles2-mesa.symbols
  * Stop using dh_strip -s --remaining-packages. When a build is resumed
    (-nc), this dh_strip call is a no-op if it was previously written to
    the debhelper log files. Specify all remaining packages instead.
    That's boring, but avoid getting non-stripped packages.
  * Add debian/git-cleanup.sh script to ease removing files in git which
    aren't in the release tarballs, and make dpkg-source error out.
  * Keep my eyes wide shut and add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Jan 2011 00:20:57 +0100

mesa (7.9+repack-2) experimental; urgency=low

  [ Cyril Brulebois ]
  * Specify PASV in watch file, and mangle +repack.

  [ Christopher James Halse Rogers ]
  * debian/control:
    - Add libudev-dev to build-depends.  This is required for the DRI2 EGL
      driver to work with a drm display.

  [ Sven Joachim ]
  * Update for the latest libdrm-nouveau API:
    - Cherry-pick commit c25fcf5a from Mesa master.
    - Build-depend on libdrm-dev 2.4.23 or newer.
  * Use linux-any for linux-libc-dev and libudev-dev build-depends.

  [ Julien Cristau ]
  * Update from upstream 7.9 branch, commit 0ff45dd.
  * Refresh patches.

 -- Julien Cristau <jcristau@debian.org>  Tue, 04 Jan 2011 12:46:59 +0100

mesa (7.9+repack-1) experimental; urgency=low

  * Repack the upstream tarball to get rid of duplicate files which make dpkg
    choke.  Thanks to Luca Falavigna for his help diagnosing this.

 -- Julien Cristau <jcristau@debian.org>  Mon, 15 Nov 2010 23:04:45 +0100

mesa (7.9-1) experimental; urgency=low

  [ Christopher James Halse Rogers ]
  * debian/control:
    - Add EGL, GLESv1, GLESv2, and OpenVG virtual packages.  The Khronos group
      specifies a de-facto linux ABI for these libraries.  We have a similar
      package for libgl1.
  * debian/README.Debian:
    - Document the virtual packages above.

  [ Sven Joachim ]
  * Bump libdrm-dev build dependency to 2.4.21-2~, the Nouveau Gallium
    driver does not build with squeeze's libdrm-nouveau1.

  [ Julien Cristau ]
  * New upstream release.
  * Update patches:
    - 03_optional-progs-and-install.patch dropped, demos moved to a separate
      package
    - 07-nouveau-update.diff and
      09-intel-fix-invalidate-before-initialisation.diff dropped, they were
      backports from upstream
    - 04_osmesa_version.diff updated
  * Add build-dep on talloc.
  * Drop the mesa-utils package, demos were moved out of the mesa tree.
  * Use --with-egl-platforms instead of --with-egl-displays, and replace kms
    with drm.
  * Merge some packaging changes from ubuntu:
    - libegl1-mesa-drivers-x11,kms: There are no longer separate kms or x11
      drivers for EGL, libegl1-mesa-drivers now contains a single driver that
      provides both backends (Christopher James Halse Rogers)
    - Remove pre-generated .pc's, use the ones generated at build time instead
      (Robert Hooker)
    - Build the r600 gallium driver
    - Update symbols files
  * README.source: we don't need to repack MesaLib.tar.gz anymore.
  * Kill old sourceforge url from debian/watch.
  * Ship the gallium r300 driver instead of the classic one.

 -- Julien Cristau <jcristau@debian.org>  Sat, 13 Nov 2010 00:36:11 +0100

mesa (7.8.2-2) experimental; urgency=low

  * Add missing dependencies to libegl1-mesa-dev, thanks to Alexandros
    Frantzis (LP: #600243).
  * gallium: handle kfreebsd like freebsd, fixing FTBFS (closes: #585618)
  * intel: Fix invalidate before initialisation (stolen from fdo bugzilla
    #29091, fixes server 1.9rc crash when starting an app using GLX 1.3)
  * Pull from 7.8-branch up to commit d06e011.
  * Fixup hurd and kfreebsd patches to apply.

 -- Julien Cristau <jcristau@debian.org>  Tue, 20 Jul 2010 15:57:31 +0200

mesa (7.8.2-1) experimental; urgency=low

  [ Robert Hooker ]
  * Adjust the build system to install the dri target in a separate
    DESTDIR, no longer passing --libdir=/usr/lib/glx at configure time
    messing with the .pc's since it is used for a majority of the 
    packages now.
  * Fix up the mesa-common-dev header install location.

  [ Julien Cristau ]
  * Add ${misc:Depends} to all packages.
  * libc6-dev is build-essential, no need to depend on it.
  * Replace nonsensical dependency of libglw1-mesa-dev on libxext6 with a
    dependency on libxt-dev and lesstif2-dev.
  * Add new lintian overrides for the package-name-doesnt-match-sonames stuff.
  * Don't ship progs/objviewer in the tarball, it's insanely big and unused.
  * New upstream release.
  * Refresh patches.
  * Stop shipping an upstream git log, it's unlikely to be useful to anyone,
    and it's big.
  * debian/scripts/choose-configs: use DEB_HOST_ARCH, not DEB_BUILD_ARCH
    (closes: #451648).
  * Rename radeong_dri.so to r300_dri.so in build, not binary.

  [ Christopher James Halse Rogers ]
  * debian/patches/07-nouveau-update.diff:
    - Pull in nouveau_class.h header no longer shipped by libdrm 2.4.21 and 
      update nouveau build to use it.  Fixes FTBFS against libdrm 2.4.21.
  * debian/rules:
    - Simplify selecting which gallium drivers are built.  Use this to only
      act on gallium packages on archs where we're actually building them.
      Part of the fix for FTBFS on Hurd and kFreeBSD.

 -- Julien Cristau <jcristau@debian.org>  Thu, 01 Jul 2010 12:50:18 +0200

mesa (7.8.1-2) experimental; urgency=low

  [ Tormod Volden ]
  * debian/rules: Do not strip the same packages twice

  [ Julien Cristau ]
  * Stop building the ffb dri driver on sparc, it no longer exists.
  * Merge changes from 7.7.1-2.

  [ Christopher James Halse Rogers ]
  * debian/compat:
    - Bump to v7 for dh_install search path behaviour
  * debian/rules:
    - Enable gallium for dri build.
    - Enable egl for dri build.
    - Build nouveau, radeon & swrast gallium drivers
    - Build OpenVG, OpenGL|ES, dri, glx & egl state trackers
  * debian/libegl1-mesa-dev.install:
  * debian/libegl1-mesa.install:
  * debian/libegl1-mesa.symbols:
    - New libEGL package.
  * debian/libgles1-mesa-dev.install:
  * debian/libgles1-mesa.install:
  * debian/libgles1-mesa.symbols:
    - New OpenGL|ES v1.x package.
  * debian/libgles2-mesa-dev.install:
  * debian/libgles2-mesa.install:
  * debian/libgles2-mesa.symbols:
    - New OpenGL|ES v2.x package.
  * debian/libopenvg1-mesa-dev.install:
  * debian/libopenvg1-mesa.install:
  * debian/libopenvg1-mesa.symbols:
    - New OpenVG package.
  * debian/libegl1-mesa-drivers-x11.install:
    - New gallium EGL drivers package.
  * debian/libegl1-mesa-drivers-kms.install:
    - New gallium EGL kms driver package.
  * debian/egl.pc:
  * debian/vg.pc:
  * debian/glesv1_cm.pc:
  * debian/glesv2.pc:
    - Pull pkg-config files from master and install them in the respective
      -dev packages.
  * debian/libgl1-mesa-dri-experimental.install:
  * debian/libgl1-mesa-dri.install:
    - “make install” puts classic and gallium drivers in the same path, but
      builds gallium drivers in the gallium/ subdirectory.  Copy the drivers 
      directly from the build path, rather than trying to separate them out 
      post-hock.
  * debian/control:
    - Add new packages.
    - Add new build-depends on libx11-xcb-dev, libxcb-dri2-0-dev, 
      libxcb-xfixes0-dev and python-libxml2 for gallium.
    - Bump build-depends on dpkg-dev for regex in symbols files.

 -- Julien Cristau <jcristau@debian.org>  Fri, 11 Jun 2010 03:19:09 +0200

mesa (7.8.1-1) experimental; urgency=low

  * New upstream release.
    + Pull from upstream 7.8 branch up to commit db3b3421.
  * Refresh patches.
  * Bump build dependency to libdrm-dev 2.4.19, x11proto-gl-dev 1.4.11,
    and x11proto-dri2-dev 2.1.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 18 Apr 2010 09:25:39 +0200

mesa (7.7.1-2) unstable; urgency=low

  * debian/rules: use DEB_HOST_ARCH_CPU instead of DEB_HOST_GNU_CPU.  Prompted
    by Ubuntu which changed the latter to i686, breaking their packages on
    i386.
  * Pull from mesa_7_7_branch (commit 8ba378d).

 -- Julien Cristau <jcristau@debian.org>  Thu, 20 May 2010 17:34:19 +0200

mesa (7.7.1-1) unstable; urgency=low

  [ Brice Goglin ]
  * Remove Thierry Reding from Uploaders, closes: #572539.
  * Bump Standards-Version to 3.8.4, no changes needed.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 30 Mar 2010 17:15:09 +0200

mesa (7.7-4) unstable; urgency=low

  * Pull from upstream mesa_7_7_branch up to commit 293f4d51.
    + r6xx/r7xx: emit relocation for FRAG & TILE buffer, closes: #569663.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 24 Feb 2010 22:44:11 +0100

mesa (7.7-3) experimental; urgency=low

  * Pull from upstream mesa_7_7_branch up to commit f5145a6e.
  * Build against libdrm-radeon1 2.4.17 to get DRI2 support.

 -- Brice Goglin <bgoglin@debian.org>  Mon, 01 Feb 2010 22:55:36 +0100

mesa (7.7-2) experimental; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Brice Goglin ]
  * Pull from upstream mesa_7_7_branch up to commit 2f28ca0a.
    + Fix funky colors on radeon/r200/r300.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 27 Jan 2010 09:14:38 +0100

mesa (7.7-1) experimental; urgency=low

  [ Brice Goglin ]
  * Bump libdrm build dependency to 2.4.15, closes: #561058.
  * New upstream release.
  * Pull from upstream mesa_7_7_branch up to commit 6d6c9c66.

  [ Julien Cristau ]
  * Add freedesktop.org ftp to watch file since that's where newer upstream
    tarballs are.
  * Don't include GLUT sources since we don't use them.

 -- Brice Goglin <bgoglin@debian.org>  Mon, 11 Jan 2010 17:52:31 +0100

mesa (7.7~rc2-1) experimental; urgency=low

  * New upstream release candidate.
    + s3v and trident DRI drivers removed since they never worked.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 12 Dec 2009 13:02:55 +0100

mesa (7.6.1-1) unstable; urgency=low

  * New upstream release
    + Pull upstream mesa_7_6_branch up to commit da876fa3
  * Bump linux-libc-dev build-dep to 2.6.31 for the r600 dri driver (fixes
    ftbfs on mips).
  * Drop hunk from 05_hurd-ftbfs.diff that was applied upstream.  Refresh
    other patches.

 -- Julien Cristau <jcristau@debian.org>  Tue, 29 Dec 2009 10:42:24 +0000

mesa (7.6.1~rc3-1) unstable; urgency=low

  * New upstream release candidate.
    + Pull upstream mesa_7_6_branch up to commit 7d41b424.
    + Includes sparc64 xform asm patch from #560403.
  * Update debian/rules to fix sparc64 FTBFS, thanks Aurelien Jarno,
    closes: #560403.
  * Build r600 DRI driver.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 11 Dec 2009 18:36:36 +0100

mesa (7.6.1~rc2-1) unstable; urgency=low

  * New upstream release candidate.
    + Pull upstream mesa_7_6_branch up to commit b2953ee.
    + i965: Fix the bounds emitted in the vertex buffer packets,
      closes: #556541.
    + Fix window drawing regression in Kwin on older Radeon hardware,
      fix assertion failure leading to crash on kwin when compositing
      is enabled, closes: #549588.
    + Refresh patches.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 06 Dec 2009 00:14:34 +0100

mesa (7.6-1) unstable; urgency=low

  [ Brice Goglin ]
  * New upstream release.
    + Fix software fallback assertion on RS480, closes: #539162.
    + Fix segfault in _swrast_ReadPixels on i915, closes: #545085.

  [ Julien Cristau ]
  * Don't run install from the various configs in parallel, hopefully fixing a
    bug in the previous debian/rules.  Thanks to Bernhard R. Link for the
    suggestions.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 29 Sep 2009 11:51:58 +0200

mesa (7.5.1-1) unstable; urgency=low

  [ Brice Goglin ]
  * New upstream release.
  * Add README.source.
  * Bump Standards-Version to 3.8.3.

  [ Julien Cristau ]
  * Override 'package-name-doesnt-match-sonames' lintian warnings for libGLU,
    libGLw and both libGLs.
  * Use dh_lintian and bump debhelper build-dep accordingly.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 04 Sep 2009 11:38:46 +0200

mesa (7.5-3) unstable; urgency=low

  * Pull from upstream mesa_7_5_branch up to commit b4ba6a66
    (early 7.5.1 release snapshot).
  * Only install the huge upstream changelog in mesa-common-dev,
    closes: #538094.
  * Enable i686 optimized libraries on hurd-i386.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 24 Jul 2009 00:29:28 +0200

mesa (7.5-2) unstable; urgency=low

  * Pull from upstream mesa_7_5_branch up to commit a6b31415
    + radeon/DRI1: if we have HW stencil, only expose fbconfigs with stencil,
      closes: #537732.
  * Install the upstream changelog.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 21 Jul 2009 22:21:50 +0200

mesa (7.5-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * Move dri.pc to mesa-common-dev (closes: #521667)

  [ Brice Goglin ]
  * Enable i686 optimized libraries on kfreebsd-i386, closes: #537345.
  * New upstream release:
    + i915: Fix assertion failure on remapping a non-BO-backed VBO,
      closes: #537147.
    + GLX/DRI1: Mark GLX visuals with depth != screen depth non-conformant,
      closes: #532980.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 19 Jul 2009 12:53:41 +0200

mesa (7.5~rc4-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release candidate.
    + xdriinfo now works with DRI2 (closes: #527132)
  * rules: Disable EGL.
  * mesa-common-dev.install: Don't install glxew.h, conflicts with libglew.

  [ Julien Cristau ]
  * Update patches:
    + 02_use-ieee-fp-on-s390-and-m68k.patch moved from imports.h to compiler.h
    + 03_optional-progs-and-install.patch refreshed
    + 05_hurd-ftbfs.diff partly applied upstream
    + 06_kfreebsd-ftbfs.diff refreshed
  * Install dri.pc, which will be needed to build xorg-server 1.7.
  * Don't build gallium for now.

 -- Julien Cristau <jcristau@debian.org>  Sun, 28 Jun 2009 20:21:37 +0200

mesa (7.4.4-1) unstable; urgency=low

  [ Julien Cristau ]
  * New upstream release.
    + fixes a crash in swrast glXWaitX (closes: #528708)
  * Don't build hardware dri drivers on s390.
  * Update 04_osmesa_version.diff, refresh 06_kfreebsd-ftbfs.diff.

  [ Brice Goglin ]
  * Enable motif in GLw, closes: #527483.

 -- Julien Cristau <jcristau@debian.org>  Sun, 28 Jun 2009 18:58:27 +0200

mesa (7.4.1-1) unstable; urgency=low

  [ Julien Cristau ]
  * Make libgl1-mesa-dev and mesa-common-dev 'Architecture: any'.  This gets
    rid of uninstallability when a new upstream version isn't built on all
    architectures, and allows us to ship potentially arch-specific .pc files.
  * Install pkgconfig files for libGLU, libOSMesa and libGLw.
  * Make libgl1-mesa-dri{,-dbg} 'Architecture: any', as swrast_dri.so should
    get built everywhere.
  * Drop the dependency on libgl1-mesa-glx from -dri, and make -glx recommend
    -dri instead.  The dri drivers are also loaded by the X server, which
    doesn't need libGL.  On the other hand, libGL needs one of the dri drivers
    for direct rendering (either software or hardware).  Mark libgl1-mesa-dri
    as breaking old xserver-xorg-core and libgl1-mesa-glx, to avoid
    incompatibilities.
  * Add patch by Samuel Thibault to fix FTBFS on hurd-i386.
  * Pull from mesa_7_4_branch as of May 3rd (commit 63375254).
  * Move -dbg packages to new 'debug' section.

  [ Brice Goglin ]
  * Add patch by Aurelien Jarno to fix FTBFS on kfreebsd-i386, closes: #524690.

 -- Julien Cristau <jcristau@debian.org>  Sun, 03 May 2009 16:05:09 +0200

mesa (7.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Wed, 08 Apr 2009 23:53:47 +0100

mesa (7.4-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Wed, 01 Apr 2009 20:25:00 +0200

mesa (7.4~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Fix watch file to make uscan not consider release candidates as newer than
    actual releases.
  * debian/control: add lpia to the Architecture field for
    libgl1-mesa-dri{,-dbg} to match Ubuntu.
  * debian/rules: on lpia, only build the i915 and i965 dri drivers (based on
    Ubuntu changes).
  * Build-depend on linux-libc-dev >= 2.6.29 on linux archs.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Mar 2009 11:34:42 +0100

mesa (7.3-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.

  [ Julien Cristau ]
  * Try to make the diff a bit smaller by removing directories that are in
    upstream git but not in tarballs.

 -- Julien Cristau <jcristau@debian.org>  Fri, 30 Jan 2009 20:00:34 +0100

mesa (7.3~rc3-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release candidate.

  [ Julien Cristau ]
  * Refresh patches 03 and 04.

 -- Julien Cristau <jcristau@debian.org>  Wed, 21 Jan 2009 19:01:21 +0100

mesa (7.3~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    + provides DRI2 (closes: #411141).
    + i915: fallback for cube map texture.  Fixes GPU hang with scorched3d
      (closes: #484049).

  [ Timo Aaltonen ]
  * Remove debian/patches/01_disable-intel-classic-warn.diff, the
    warning is gone now.
  * debian/control:
    - Build-depend on x11proto-dri2-dev (>= 1.99.3)

  [ Julien Cristau ]
  * Require libdrm-dev 2.4.3.
  * Merge packaging changes from unstable, from 7.0.3-5 to 7.0.3-7.
  * Delete unused configs/debian-*, and install-source.sh script.  We've
    switched to using autoconf, and mesa-swx11-source is gone.
  * Delete some now unused code from debian/rules.

 -- Julien Cristau <jcristau@debian.org>  Sat, 10 Jan 2009 22:14:55 +0100

mesa (7.2-1) experimental; urgency=low

  [ Brice Goglin ]
  * Fix grammar and punctuation in glxinfo(1), thanks Sam Hocevar,
    closes: #498595.

  [ Timo Aaltonen ]
  * New upstream release.
  * Refresh patch 04_osmesa_version.diff

  [ Julien Cristau ]
  * Remove the build-dep on dri2proto, DRI2 support has been removed.
  * intel: don't warn about TTM init failure.

 -- Julien Cristau <jcristau@debian.org>  Wed, 24 Sep 2008 14:28:21 +0200

mesa (7.1-1) experimental; urgency=low

  * Add parallel build support.
  * New upstream development release
    + libGLU now only exports its public interface (closes: #319388)
  * Some more parallel build updates.

 -- Julien Cristau <jcristau@debian.org>  Wed, 27 Aug 2008 19:52:24 +0200

mesa (7.1~rc3-1) experimental; urgency=low

  [ Julien Cristau ]
  * New upstream release candidate (updated to git commit 4fab47b1).
  * Build against libdrm >= 2.3.1.
  * 04_osmesa_version.diff: fix libOSMesa versioning, to revert accidental
    SONAME bump.

  [ Timo Aaltonen ]
  * Refresh patches, and drop obsolete 00_create-libdir.patch and
    01_fix-makefile.patch.
  * Build-depend on x11proto-dri2-dev.
  * Drop mesa-swx11-source.
  * Add dri_interface.h to mesa-common-dev.
  * Add gl.pc to libgl1-mesa-dev
  * rules: Replace the old build system with the new autotools-based 
    system.
  * Run autoreconf before building the various flavours..
  * Add automake & autoconf to build-deps.
  * Use --enable-glx-tls for dri.

 -- Julien Cristau <jcristau@debian.org>  Sun, 13 Jul 2008 19:41:42 +0200

mesa (7.0.3-7) unstable; urgency=low

  * Cherry-pick patch from upstream:
    Use 3Dnow! x86-64 routines only on processors that support 3Dnow!
    (closes: #484180).
  * Also build the x86-specific dri drivers on kfreebsd (closes: #492894).

 -- Julien Cristau <jcristau@debian.org>  Sun, 14 Dec 2008 07:34:58 +0530

mesa (7.0.3-6) unstable; urgency=high

  * Update debian/copyright to the SGI Free Software License B, version 2.0.
    It now mirrors the free X11 license used by X.Org (closes: #368560).
    http://www.sgi.com/company_info/newsroom/press_releases/2008/september/opengl.html

 -- Julien Cristau <jcristau@debian.org>  Sat, 20 Sep 2008 16:30:44 +0200

mesa (7.0.3-5) unstable; urgency=low

  * Disable the i915tex driver, it doesn't build against libdrm 2.3.1.
  * Pull from mesa_7_0_branch (27425708).

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Jul 2008 18:56:19 +0200

mesa (7.0.3-4) unstable; urgency=low

  * Pull from mesa_7_0_branch (2ac4919d).
  * Put back our configs/ changes into the .diff.gz since choose-configs
    needs them before quilt is invoked. Put 04_cleanup-osmesa-configs.patch
    there as well for #485161.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 18 Jun 2008 20:59:14 +0200

mesa (7.0.3-3) unstable; urgency=low

  * Pull from mesa_7_0_branch (718724de).
    + Fix intel_batchbuffer_space on i965, closes: #455817.
    + Fix busy error in i915_wait_irq for real now, closes: #467319.
  * Move our configs/ changes from the .diff.gz into our quilt patches,
    with 04_cleanup-osmesa-configs.patch renamed into 04_debian-configs.patch,
    closes: #485161.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 17 Jun 2008 20:00:51 +0200

mesa (7.0.3-2) unstable; urgency=low

  * Pull from mesa_7_0_branch (03447de3).
  * Set right cliprects for the current draw region on Intel, closes: #467319.
  * Use BRW_TEXCOORDMODE_CLAMP instead of BRW_TEXCOORDMODE_CLAMP_BORDER
    to implement GL_CLAMP on i965, closes: #478880.
  * Fix segment fault with BASE_LEVEL set to 5 for MipMap on i915,
    closes: #451339.
  * Disable low impact fallback on r300 by default, closes: #440868.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 13 Jun 2008 06:53:29 +0200

mesa (7.0.3-1) unstable; urgency=low

  * New upstream release.
  * Only call ProgramStringNotify if program parsing succeeded,
    closes: #473551.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 11 Apr 2008 08:42:37 +0200

mesa (7.0.3~rc2-2) unstable; urgency=low

  * Pull from mesa_7_0_branch (1e83d70b).
  * Fixes regression in the i965 dri driver (closes: #470984, #470084)
  * Update 02_use-ieee-fp-on-s390-and-m68k.patch.
  * Change libgl1-mesa-swx11-i686's pre-dependency on libgl1-mesa-swx11 to a
    regular versioned dependency, and add ${shlibs:Depends}.

 -- Julien Cristau <jcristau@debian.org>  Mon, 31 Mar 2008 16:47:31 +0200

mesa (7.0.3~rc2-1) unstable; urgency=low

  * New upstream release candidate.
    + enable user-defined clip planes for R300 (closes: #408679)
    + 03_optional-progs-and-install.patch: partly applied upstream, fixed up
  * Stop building with -O0 on hppa. Bug #451047 should be fixed in recent gcc
    versions.

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Feb 2008 10:22:54 +0100

mesa (7.0.2-4) unstable; urgency=low

  * Update to mesa_7_0_branch head (commit 48ae5cf0).
  * Add Vcs-Git, Vcs-Browser and Homepage fields in debian/control.

 -- Julien Cristau <jcristau@debian.org>  Thu, 17 Jan 2008 22:23:06 +0100

mesa (7.0.2-3) unstable; urgency=low

  * Update to mesa_7_0_branch head (commit 0107acde).
  * Bump Standards-Version to 3.7.3.
  * Move libgl1-mesa-swx11-dbg, mesa-common-dev and libosmesa6-dev to section
    libdevel.
  * libgl1-mesa-swx11 conflicts with libgl1-mesa-glx.  Move it and
    libgl1-mesa-swx11-dev to priority extra.
  * Fix typo in mesa-common-dev's long description.

 -- Julien Cristau <jcristau@debian.org>  Tue, 18 Dec 2007 19:13:18 +0100

mesa (7.0.2-2) unstable; urgency=low

  [ Julien Cristau ]
  * Don't set -fno-strict-aliasing in configs/debian-default.  It is set
    upstream now.
  * Workaround gcc ICE on hppa: build libOSMesa with -O0 (see bug#451047).
  * Add build-dep on libxext-dev.  Thanks, Timo Aaltonen!

 -- Brice Goglin <bgoglin@debian.org>  Tue, 13 Nov 2007 21:43:40 +0100

mesa (7.0.2-1) unstable; urgency=low

  * New upstream release.
    + Fix Blender crash in triangle_twoside(), closes: #439668, #446315.
    + Fix crash in _generic_read_RGBA_span_RGB565_MMX(), closes: #445313.
    + Fix the new __gluInvertMatrix() function, closes: #440137 ,#441071.
    + Refresh 03_optional-progs-and-install.patch since libGLU is not
      built when building progs/xdemos.
    + Refresh 04_cleanup-osmesa-configs.patch.
    + Drop 05_static-nonpic.patch,, applied upstream.
    + Remove DESTDIR from INSTALL_DIR in configs/debian-default since
      the upstream Makefiles now support DESTDIR.
  * Add myself to Uploaders.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 11 Nov 2007 11:53:26 +0100

mesa (7.0.1-2) unstable; urgency=low

  * Update to latest git (from mesa_7_0_branch)
    + adds support for some new intel chipsets (i915 and i915_tex dri drivers)
      (closes: #437333)
    + broken inline asm in dri drivers fixed (closes: #423739)

 -- Julien Cristau <jcristau@debian.org>  Tue, 28 Aug 2007 12:11:30 +0200

mesa (7.0.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Thu, 09 Aug 2007 11:56:16 +0200

mesa (7.0.1~rc2-1) experimental; urgency=low

  [ David Nusinow ]
  * New upstream release candidate
  * Bite the bullet and add myself to uploaders

  [ Julien Cristau ]
  * Modify the short descriptions of various packages so they fit in .changes
    files without being cut off.  Thanks, Marc 'HE' Brockschmidt!
  * Add a shlibs file for libgl1-mesa-swx11-i686.

 -- Julien Cristau <jcristau@debian.org>  Fri, 27 Jul 2007 20:17:48 +0200

mesa (6.5.3-1) experimental; urgency=low

  [ David Nusinow ]
  * New upstream release

  [ Julien Cristau ]
  * Cherry-pick commit 65faf023679988f93da82b4c7ebdc689f2094459 by Michel
    Dänzer to fix r300 crash.

 -- Julien Cristau <jcristau@debian.org>  Mon, 21 May 2007 11:34:51 +0200

mesa (6.5.3~rc3-1) experimental; urgency=low

  [ Brice Goglin ]
  * Split out libGLw libs and headers from libgl1-mesa-swx11 and ship both
    static and shared libraries, creating libglw1-mesa and libglw1-mesa-dev
    (closes: #374904).

  [ Julien Cristau ]
  * New upstream release candidate.
    + 06_fix_texture_data_corruption.patch,
      07_call_radeonSetCliprects_from_radeonMakeCurrent.patch,
      08_r300_update_window_state_when_bound_but_stamp_changed.patch,
      09_i915_always_enable_pixel_fog.patch: remove, included upstream.
    + 01_fix-makefile.patch, 02_use-ieee-fp-on-s390-and-m68k.patch: refresh.
  * Add build-dependencies on libxdamage-dev and libxfixes-dev.
  * Resync debian/scripts/install-source.sh.
  * Build mesa-swx11-source only in binary-indep.
  * Update from upstream git (commit
    dee1b0d5bbe91f83854813cbbcd3090327bcb5c2).

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Apr 2007 10:36:50 +0200

mesa (6.5.2-7) unstable; urgency=low

  [ Brice Goglin ]
  * libgl1-mesa-dev does not need to depend on libgl1-mesa-dri,
    libgl1-mesa-glx is enough (since their split in 6.4.1-0.1);
    closes: #432081.  Thanks, Samuel Thibault!

  [ Julien Cristau ]
  * libgl1-mesa-dev Depends on libgl1-mesa-glx (>= ${source:Upstream-Version})
    instead of >= ${Source-Version}.  This way it's still installable on
    architectures where mesa isn't built yet when a minor revision is
    uploaded.

 -- Julien Cristau <jcristau@debian.org>  Wed, 11 Jul 2007 05:50:45 +0200

mesa (6.5.2-6) unstable; urgency=low

  * libgl1-mesa-swx11 needs to depend on libosmesa6 (>= 6.5.2-1) because
    it used to contain libOSMesa.so.6.  This means that programs linked
    against this lib got a dependency on -swx11 which was broken since
    6.5.2-1.
  * Fix build on hurd-i386 (build libgl1-mesa-glx without dri support and
    don't build the dri drivers); closes: #420403.  Thanks, Samuel Thibault!

 -- Julien Cristau <jcristau@debian.org>  Thu, 05 Jul 2007 00:56:35 +0200

mesa (6.5.2-5) unstable; urgency=low

  [ Brice Goglin ]
  * Add 07_call_radeonSetCliprects_from_radeonMakeCurrent.patch
    (closes: #420164). Thanks to Christian Ohm.
  * Add 08_r300_update_window_state_when_bound_but_stamp_changed.patch
  * Add 09_i915_always_enable_pixel_fog.patch

 -- Julien Cristau <jcristau@debian.org>  Fri, 18 May 2007 13:36:25 +0200

mesa (6.5.2-4) unstable; urgency=low

  [ Julien Cristau ]
  * debian/control: libgl1-mesa-dri now suggests libglide3, with an
    explanation in the description (closes: #387339).
  * Upload to unstable.

  [ Brice Goglin ]
  * Add 06_fix_texture_data_corruption.patch (closes: #412346).

 -- Julien Cristau <jcristau@debian.org>  Fri, 20 Apr 2007 05:57:35 +0200

mesa (6.5.2-3) experimental; urgency=low

  * Set LIB_DIR and EXTRA_LIB_PATH in configs/debian-default to override
    settings in configs/linux-x86-64. This fixes a FTBFS on amd64, thanks to
    Marc 'HE' Brockschmidt for the report (closes: #410118).

 -- Julien Cristau <jcristau@debian.org>  Wed,  7 Feb 2007 23:04:28 +0100

mesa (6.5.2-2) experimental; urgency=low

  * Sync Section/Priority for all packages with the override.
  * Build the arch:all debs in binary-indep, and use the debhelper -s option
    for commands in binary-arch, to fix FTBFS on non-i386 archs, thanks to
    Marc 'HE' Brockschmidt (closes: #409638).
  * Add myself to Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Sun,  4 Feb 2007 21:14:02 +0100

mesa (6.5.2-1) experimental; urgency=low

  [ Thierry Reding ]
  * New upstream release.
  * Set the Debian X Strike Force as maintainer.
  * Add myself to uploaders.
  * Build the i915tex DRI module on the i386 and amd64 architectures.
  * Add patch 04_cleanup-osmesa-configs that makes the OSMesa configurations
    behave as expected.
  * Add patch 05_static-nonpic to build static libraries without -fPIC.
  * Make debugging symbol packages depend on the corresponding binary package
    and put them into the libdevel section.
  * Bump shlibs file for the libosmesa6 package to account for added symbols.
    Thanks Julien Cristau.
  * Build the DRI modules with the default optimization flags. Thanks Julien
    Cristau.
  * mesa-common-dev now ships the GLX header files so it needs to replace
    libgl1-mesa-swx11-dev and libgl1-mesa-dev. Thanks Julien Cristau.
  * All OSMesa libraries were moved to the libosmesa6 and libosmesa6-dev
    package, so have them replace libgl1-mesa-swx11, libgl1-mesa-swx11-dev and
    mesa-common-dev respectively. Thanks Julien Cristau.

  [ Julien Cristau ]
  * Drop obsolete depends on xlibs.

 -- Thierry Reding <thierry@gilfi.de>  Thu, 11 Jan 2007 15:06:52 +0100

mesa (6.5.2~rc3-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * Update to latest upstream release candidate.

 -- Thierry Reding <thierry@gilfi.de>  Fri,  1 Dec 2006 01:06:28 +0100

mesa (6.5.2~rc2-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release candidate:
    + Refresh 02_use-ieee-fp-on-s390-and-m68k.patch.
  * Add manual pages for the glxdemo, glxgears, glxheads and glxinfo
    utilities (Closes: #385463).

 -- Thierry Reding <thierry@gilfi.de>  Wed, 22 Nov 2006 20:49:06 +0100

mesa (6.5.2~rc1-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release candidate.
  * Update patches:
    + Drop hunk #2 of 01_fix-makefile.patch, applied upstream.
    + Drop 03_handle-sync-and-dont-unlock-display.patch, applied upstream.
  * Bump build-dependency on libdrm-dev (>= 2.2.0).
  * Use the new upstream minstall utility to install files and directories.
    Using /usr/bin/install would result in a symlink's target being copied
    instead of the symlink.

 -- Thierry Reding <thierry@gilfi.de>  Sat, 18 Nov 2006 22:23:04 +0100

mesa (6.5.1-0.6) experimental; urgency=low

  * Non-maintainer upload.
  * Rewrote the debian/rules file to make it easier to understand.
  * Provide i686 optimized versions in libgl1-mesa-swx11-i686 instead of in
    libgl1-mesa-swx11.
  * Statically link libOSMesa with the software rasterization code from libGL
    so that it works independently of the installed libGL. (Closes: #387706)
  * Make libosmesa6-dev depend on mesa-common-dev because it only needs the
    gl.h header file and no libGL anymore.
  * Move glx*.h headers from libgl1-mesa(-swx11)-dev into mesa-common-dev
    because both packages provide identical files.
  * Add debugging symbol packages for libgl1-mesa-swx11, libgl1-mesa-glx and
    libgl1-mesa-dri.
  * Repack the contents of the three Mesa tarballs (MesaDemos, MesaGLUT and
    MesaLib) as the original source tarball. (Closes: #392715)
  * Make mesa-common-dev depend on libx11-dev.
  * Provide a new package: mesa-utils. These utilities are shipped in the
    MesaDemos package so mesa is the right package to provide them.

 -- Thierry Reding <thierry@gilfi.de>  Sat, 18 Nov 2006 18:50:07 +0100

mesa (6.5.1-0.5) unstable; urgency=low

  * Non-maintainer upload.
  * Build with -fno-strict-aliasing to fix misbuild of i965_dri.so
    (closes: #394311).  Thanks to Michel Dänzer for the fix, and to Ryan
    Richter for the report and testing.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Wed,  3 Jan 2007 13:48:20 +0100

mesa (6.5.1-0.4) unstable; urgency=medium

  * Non-maintainer upload (and brown paper bag release).
  * _Depend_ on libx11-dev from libgl1-mesa-dev; revert previous change.
    Fixes FTBFS in other packages. (Really Closes: #396498)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 11 Nov 2006 13:55:20 +0100

mesa (6.5.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libx11-dev; fixes FTBFS. (Closes: #396498)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  8 Nov 2006 20:58:40 +0100

mesa (6.5.1-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Disable generation of SSE instructions (closes: #390560)
  * Remove duplicate and unused build configurations
  * Remove extra source files left from CVS snapshots (closes: #389283)
  * Enable i965 DRI driver on i386 and amd64. Thanks to Ryan Richter
    for the patch. (closes: #392030)
  * Enable Unichrome DRI driver on amd64 (closes: #391900)
  * Enable FFB DRI driver on sparc, not i386 (closes: #388025)
  * Consistently compile C sources as C99 (closes: #373623)
  * Fix X display locking error in GLX. Thanks to Josh Triplett for
    the patch. (closes: #391681)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 13 Oct 2006 02:25:52 +0100

mesa (6.5.1-0.1) unstable; urgency=low

  * New upstream version
  * Build-dep on x11proto-gl-dev >= 1.4.8
  * Stuff not in the upstream tarballs
    + os2 glut stuff
    + docs/gears.png
  * Bump libdrm-dev build-dep to >= 2.0.2
  * Add libdrm cflags to the debian-dri config. This allows the build system
    to find drm.h
  * Make sure that libGl looks for the dri drivers in the proper location. Do
    this by setting the appropriate variables in the debian config
  * Re-add s390 and m68k to the USE_IEEE test in src/mesa/main/imports.h. This
    package seriously needs to store patches somewhere that are easy to find
    and re-apply.
  * Add patch from Cyril Brulebois to allow package to build on HURD, which
    lacks DRI and directfb. This includes not using lib-directfb in the
    build-depends for hurd-i386. It also creates a new debian config,
    debian-indirect, which is used when building for HURD. This config is
    invoked in the debian-dri config on hurd-i386. Thanks to Cyril Brulebois
    for the patch, Michael Banck, Michel Dänzer, and Samuel Thibault for
    input on an appropriate fix. (closes: #358065)

 -- David Nusinow <dnusinow@debian.org>  Mon, 25 Sep 2006 21:21:47 -0400

mesa (6.5.0.cvs.20060524-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload mesa 6.5 cvs to unstable, because we need it for Xorg 7.1.
  * Upload with medium urgency instead of high, since this is a new
    upstream that should get some testing in unstable in spite of the
    multiple RC bugfixes.
  * Update debian/copyright with the full text of the SGI Free B and SGI
    MIT-style licenses in use in the package, and take a stab at
    cleaning up the list of paths and licenses.
    Closes: #368562.
  * Make mesa-common-dev Replaces: xlibosmesa-dev from sarge.
    Closes: #384057.
  * Fix libgl1-mesa-glx to not Provides: libgl1-mesa-dri, since it
    definitely doesn't provide DRI support and this Provides: breaks
    upgrades from sarge.  Closes: #384282.
  * debian/libgl1-mesa-swx11.shlibs: create a static shlibs file,
    because libOSMesa.so.6 is not provided by all implementations of
    libGL and so needs a separate shlibs declaration.  Also make
    libgl1-mesa-glx the default alternative instead of libgl1-mesa-swx11
    for consistency even when building against libgl1-mesa-swx11,
    because to the extent these are interchangeable (i.e., 99%...),
    there should be no reason to prefer one over the other -- and to the
    extent that they aren't interchangeable, it's wrong to list libgl1
    as an alternative dependency at all.  Closes: #386185.
  * Don't provide shlibs at all for libgl1-mesa-swx11-dbg; this is an
    unnecessary duplication of the existing libgl1-mesa-swx11 shlibs
    since packages should not really be linking against /usr/lib/debug/
    separately.
  * src/mesa/tnl/t_vb_render.c: Drop a pointless printf() in the
    RENDER_LINE macro, getting rid of copious debug output on console.
    Closes: #369895.
  * libgl1-mesa-swx11 has no reason to depend on libglu, anything that
    wants libglu will have its own dependency on it; drop this
    hard-coded dependency from debian/control.
  * Have libglu1-mesa-dev Provides: xlibmesa-glu-dev, since it's the
    successor to that package and xlibmesa-glu-dev is still referenced
    in a number of places and this makes for more reliable builds than
    depending on alternatives without requiring another dummy -dev
    package from xorg.
  * Replace references to Source-Version in debian/control with either 
    binary:Version or source:Version, depending on whether the
    relationship references an arch: any or arch: all package, making
    mesa binNMU-safe; add build-depends on dpkg-dev (>= 1.13.19) to
    ensure these substvars are available.

 -- Steve Langasek <vorlon@debian.org>  Fri, 15 Sep 2006 15:51:16 -0700

mesa (6.5.0.cvs.20060524-1) experimental; urgency=low

  * The "-O666 -fwater-c00ling -DBE_F4ST" release
  * New pull from CVS
  * Merge back and forth with 6.4.2-1
  * configs/debian*_i386: disabled, optimized build fuxxored.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 24 May 2006 14:12:13 -0600

mesa (6.5.0.cvs.20060512-0.0.1) experimental; urgency=low

  * New upstream release (6.5.0)
  * Pulled CVS as of 2006-05-12
  * debian/control: remove DirectFB packages

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 12 May 2006 15:23:49 -0600

mesa (6.4.2-1) unstable; urgency=low

  * The "please, please, please don't hate me" release.
  * New upstream release.
  * Ack NMUs
  * debian/control: mesa-common-dev Replaces xlibmesa-gl-dev (<< 1:7)
    AGAINST MY BETTER JUDGEMENT.  The problem here is gratuitous package
    renames within a system that does not support them.  (closes:
    bug#362063)
  * debian/control: hurd-i386 doesn't have drm.  Doesn't fix #358065,
    yet.
  * bin/mklib: fix from Robert Millan to support hurd-i386 and
    GNU/kFreeBSD.  Thanks Robert.  (closes: bug#358066)
  * src/glx/x11/indirect_vertex_array.c, src/mesa/main/glheader.h,
    src/mesa/drivers/dri/common/glcontextmodes.c: fix broken indirect
    rendering on 64-bit platforms.  Thanks Aaron M. Ucko.  (closes:
    bug#364228)
  * debian/control: b-d on x11proto-gl-dev.  Please don't hate me!
  * debian/control: Standards-Version: 3.7.2
  * debian/rules: export DEB_HOST_ARCH
  * configs/debian-dri: use DEB_HOST_ARCH to decide if certain DRI drivers
    should be built or not.
        + Built only for i386: i810 i830 sis.
          Rationale: integrated chipsets available only for i386 processors.
        + Built only for i386: ffb.
          Rationale: Michel Dänzer said so, no idea why.
        + Built only for i386, amd64: i915.
          Rationale: Apparently this is available in the 64-bit Intel chipset.
    Please file a bug report stating which drivers should be included/excluded
    for which architectures.  Positive lists are preferred.  If possible state
    why.
  * debian/mesa-swx11-source.install: nuke this abomination.  Dinamically
    generate the list at build time.
  * debian/drivers.map: add gl-debian-dri_i386
  * debian/README.build: updated, add big friendly letters in short sentences.
    Perhaps I can read it myself this way...
  * debian/rules, configs/debian, configs/debian-dri, configs/debian_i386,
    configs/debian-dri_i386, debian/libdir.map, debian/drivers.map: hack in
    support for variable driver's dir.  If you want this for your pet
    architecture please provide BOTH configs/debian_arch and
    configs/debian-dri_arch.  If you just want to include/exclude DRI drivers
    on your architecture look in configs/debian-dri.
  * configs/debian*_i386: disabled, optimized build fuxxored.
  * debian/rules: remove misguided Perl construct, replace by something
    simpler in shell.  I actually meant to do something else with the Perl
    thing, but got distracted and forgot about it.  Thanks Aaron M. Ucko!
  * debian/rules: make it work like debian/README.build says it works wrt to
    building optimized targets.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 16 May 2006 18:07:53 -0600

mesa (6.4.1-0.4) unstable; urgency=low

  * NMU
  * Add versioned conflict between libgl1-mesa-dri and xlibmesa-dri so that
    the xlibmesa-dri transitional upgrade package works

 -- David Nusinow <dnusinow@debian.org>  Mon,  6 Mar 2006 21:46:18 -0500

mesa (6.4.1-0.3) unstable; urgency=low

  * NMU
  * Add s390 and m68k to the USE_IEEE test in src/mesa/main/imports.h.
    (closes: #349437)

 -- David Nusinow <dnusinow@debian.org>  Sat, 11 Feb 2006 17:59:26 -0500

mesa (6.4.1-0.2) unstable; urgency=low

  * NMU
  * Re-add dh_installdirs call to binary-indep target so that we get
    arch-specific dirs for the mesa-swx11-source package
  * Remove makedepend from build-depends. Now we'll just build-dep on xutils
    to get the app, which will translate over to our own xorg 7.0 plans.

 -- David Nusinow <dnusinow@debian.org>  Tue, 31 Jan 2006 19:21:12 -0500

mesa (6.4.1-0.1) unstable; urgency=low

  [ Marcelo E. Magallon <mmagallo@debian.org> ]
  * debian/control: build-depend on xutils
  * include/GL/glx{int,proto,md,tokens}.h: missing upstream (closes: bug#326466)
  * debian/libgl1-mesa-dri-dev.install: install GLX include files here, too.
  * debian/rules: GLU and GLW don't have arch-specific targets.

  [ Daniel Stone <daniels@debian.org> ]
  * New upstream version, incorporating changes from Ubuntu 6.3 packaging.
  * Rename packages:
    - mesag3 -> libgl1-mesa-swrast
    - mesag-dev -> libgl1-mesa-swrast-dev
    - libgl1-mesa-dri -> libgl1-mesa
    - libgl1-mesa-dri-dev -> libgl1-mesa-dev
    - libgl1-mesa-dri still exists, but now contains the DRI modules only.
  * Drop dependency *from* mesa-common-dev on libgl1-mesa-dev and
    libglu1-mesa-dev; it should be the other way around. (closes: #336565)
  * Add Build-Depends on pkg-config to get flags from libdrm, and libexpat-dev
    for DRI configuration.  Break out xlibs-dev Build-Depends to the
    individual libraries required.
  * Bump libdrm-dev Build-Depends to >> 1.0.5, in order to get new
    via_drm.h to build the unichrome DRI driver.
  * Configs: pare DRI drivers down to a sensible set for each architecture.
  * Remove completely broken Glide target, which caused FTBFS.
  * Add mesa-swrast-source package, providing the source for the software
    rasteriser for libGLcore in the X server.
  * Drop tight libosmesa6 -> libgl1-mesa-swrast Depends, replace with
    shlibs:Depends.

  [ David Nusinow <dnusinow@debian.org> ]
  * New upstream version (6.4.1) (closes: #232665)
  * Merge changes from Ubuntu version 6.4.1-0ubuntu1.
    (closes: #341479, #340168, #334742)
    + Add new files required by xorg-server GL build to mesa-swrast-source.
  * NMU to begin getting Xorg 7.0 in to Debian
  * Change libgl1-mesa-swrast Depends on libx11-6-dev to libx11-dev.
  * Change libgl1-mesa-swrast to be named libgl1-mesa-swx11
  * Change libgl1-mesa to be named libgl1-mesa-glx
  * mesa-swrast-src.install stop looking for the swx11 dir and look for swrast

 -- David Nusinow <dnusinow@debian.org>  Sat, 21 Jan 2006 21:43:37 -0500

mesa (6.3.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust Build-Depends:
    + xlibs transition (Closes: #347129).
    + xutils, xlibmesa-gl-dev (Closes: #326466).
  * mesag-dev: Depends: libx11-dev (Closes: #347205).

 -- Christoph Berg <myon@debian.org>  Fri, 20 Jan 2006 20:45:43 +0100

mesa (6.3.2-2) unstable; urgency=low

  * debian/rules: build only whatever needs to be build according to
    debian/control.
  * debian/libdir.map: it's usr/lib/debug not usr/lib/dbg
  * debian/rules: select optimized targets for the current host architecture
    only (thanks Michel!)
  * debian/README.build: reword some of the directions, add more info.
  * debian/control: forgot to add CPR relationships in the new packages
    (thanks Michel!)
  * debian/control: Set maintainer to pkg-mesa-devel, add myself as uploader

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 28 Aug 2005 14:41:15 -0600

mesa (6.3.2-1) unstable; urgency=low

  * New upstream
  * configs/debian-dri: new target
  * debian/control: add build-depends on libdrm-dev
  * debian/rules: pass SRC_DIRS instead of SUBDIRS on the command line.
    This allows for configurations to override the command line in a
    sane way.
  * configs/debian-dri: override SRC_DIRS
  * configs/debian: add -D_GNU_SOURCE (required by dri drivers)
  * debian/control, debian/rules: drop glide out of this package, it
    will be moved to the mesa-legacy package, forked from 6.2.1-7.
  * debian/drivers.map, debian/rules: take into account that some
    drivers have external components.
        + To be fixed: debian/drivers.map hardcodes locations
  * debian/control: libgl1-mesa-dri, libgl1-mesa-directfb: new drivers
  * dh_makeshlibs for libgl1-mesa-dri and libgl1-mesa-directfb
  * debian/control: priority is optional... again...

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 21 Aug 2005 17:13:19 -0600

mesa (6.2.1-7) unstable; urgency=low

  * Previous upload got lost somewhere
      + bin/mklib: add GNU/kFreeBSD, patch from Aurelien Jarno (closes:
        bug#307154)
      + recompile with newer g++

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 02 Aug 2005 06:47:20 -0600

mesa (6.2.1-6) unstable; urgency=low

  * bin/mklib: add GNU/kFreeBSD, patch from Aurelien Jarno (closes:
    bug#307154)
  * recompile with newer g++

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 24 Jul 2005 11:47:16 -0600

mesa (6.2.1-5) unstable; urgency=low

  * debian/rules: big mess up, files are not being moved to their proper
    places.  I naively assumed that command-line options to debhelper
    commands would override DH_OPTIONS, that is, that having
    DH_OPTIONS=-i (as suggested in the documentation) would mean
    something like "use -i unless -p is passed on the command line".  It
    actually means "use -i in addition to -p passed on the command
    line", which does not make any sense, but is consistent with the
    wording in the documentation. (closes: bug#306499, bug#306918,
    bug#307095)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 01 May 2005 09:45:12 -0600

mesa (6.2.1-4) unstable; urgency=low

  * debian/control: fix description to reflect the exact content and
    purpose of package (libosmesa-dev, mesag-dev).
  * debian/rules: DH_OPTIONS=-s added to binary-arch target.  (closes:
    bug#306091)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 26 Mar 2005 08:03:44 -0600

mesa (6.2.1-3) unstable; urgency=low

  * debian/control: try to match the override file.  If mesa is "extra"
    (for whatever reason), all the packages should be extra.
  * debian/rules: quick workaround for left-over libGL.so in GLU -dev
    package.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 24 Mar 2005 19:35:34 -0600

mesa (6.2.1-2) unstable; urgency=low

  * The "thank you so much, I'm still voting against you" release.
  * debian/rules: correct artifact of me not having had a proper
    pbuilder environment to build stuff on and the repackaging from the
    previous release.  The -glu- and -glw- targets now explicitly depend
    on the matching -gl- target, and symlinks are placed in the build
    directories in order to actually have a libGL.so to make ld happy
    when creating the libraries.
  * debian/rules: uncomment dh_install :-\  There was a reason why I had
    commented that out...
  * First change closes: bug#298922
  * Second change closes: bug#300302, bug#300284, bug#300430
  * debian/control: "An X", whatever, I've been corrected multiple times
    in both ways (translators beware).  (closes: bug#300012)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 20 Mar 2005 22:03:29 -0600

mesa (6.2.1-1) unstable; urgency=low

  * The "autobuilders, please please please don't hate me" release.
  * New upstream.
  * Repackage:
        + Fall prey to debhelper
        + Entries below this one preserved for historical reasons or
          sentimental value, pick as many as you want.  They bear NO
          relation to the actual packages!
  * configs/debian, configs/debian-debug, configs/debian-debug-i386,
    configs/debian-glide, configs/debian-glide-i386, configs/debian-i386,
    configs/debian-osmesa16, configs/debian-osmesa16-static,
    configs/debian-osmesa32, configs/debian-osmesa32-static,
    configs/debian-static, configs/debian-static-i386: new files.
  * configs/debian-sparc: Dave Miller confirmed that the sparc assembly
    files do work on Linux.  I don't know where to install the optimized
    libraries, so the file doesn't actually exist.  Please read
    debian/README.build if you want to have a sparc-optimized library.
  * debian/control: GGI and glide2 are gone.  glide is glide3.
  * debian/rules: modify shlibs file for the glide3 target to require glide3
    and only glide3 because that library exports functions not available in
    other libGLs.  Rationale: if someone is compiling a Debian package and
    uses the glide target either he doesn't know what he is doing or he knows
    exactly what he is doing.  In the first case the package should not be
    installable and in the second case the package requires this particular
    version.
  * debian/control: libgl1-mesa-glide3-dev does NOT provide a proper OpenGL
    development environment (see above).
  * PCR is bound to be wrong... *sigh*

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 25 Dec 2004 14:50:02 -0600

mesa (6.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: redid a bunch of stuff in order to support new build system
    without autoconf and automake stuff.  The next version is going to change
    this _again_.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 11 Apr 2004 07:00:19 -0600

mesa (5.0.0-5.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Rename "GGIMesa"-references in src/GGI/default/Makefile.am to
    "MesaGGI", which makes the package build again with newer libtool.
    (Closes: #213836)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 15 Feb 2004 17:37:08 +0100

mesa (5.0.0-5) unstable; urgency=low

  * debian/control: yank and put error?  Remove hard-coded
    nvidia-glx-dev from mesag-glide2-dev dependencies.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 09 Feb 2003 10:31:51 +0100

mesa (5.0.0-4) unstable; urgency=low

  * debian/rules: fix typo in definition of GLIDE_ARCHS.  (closes: bug#179622)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 03 Feb 2003 20:19:12 +0100

mesa (5.0.0-3) unstable; urgency=low

  * The "it's amazing how people pick severities" release
  * debian/control: mesa-common-dev conflicts with xlibmesa-dev.  Actually put
    dependency of mesa-common-dev on the mesa-*-dev packages to avoid having
    to track other libgl-dev packages popping up.  IMO this is less error
    prone.  You can't install mesa-common-dev without installing mesa-*-dev,
    and those packages conflict with other libgl-dev packages.  (closes:
    bug#177996)
  * Rename libglu1c102 to libglu1-mesa; the libglu1c102 is incorrent since
    this library does not export C++ functions.  Sorry about the mess.
  * Rename libglu1-dev to libglu1-mesa-dev to be consistent
  * debian/rules: use grep-dctrl to extract architectures from debian/control
  * debian/control: add grep-dctrl to build-depends
  * debian/shlibs.libglu: libglu1-mesa | libglu1
  * debian/rules: install include/GL/xmesa.h in /usr/include/GL/xmesa.h; I'm
    not 100% sure this is the right thing to do, but it's a niche so I don't
    think it will actually make trouble (closes: bug#148866)
  * debian/rules: install include/GL/glx*.h in the common package.  (closes:
    bug#178562)
  * debian/rules: nasty hack to work arround libtool's idea of how libraries
    should be linked (closes: bug#178514)
  * debian/rules: even nastier hack.  Getting environment variables to
    percolate thru all the make calls isn't getting anywhere.
  * si-glu/Makefile.am: export only glu.* symbols
  * si-glu/Makefile.am: add -lm to link line
  * src/Makefile.am: god damm it.  If you use libm link to it!
  * debian/control: mesa-common-dev depends on libglu1-mesa-dev to satisfy
    libgl-dev's requirements

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 27 Jan 2003 17:15:25 +0100

mesa (5.0.0-2) unstable; urgency=low

  * debian/control: Not funny, I'm sure I put lesstif and xlibs-dev in the
    build-depends.  CVS says I didn't.  (closes: bug#176730)
  * debian/control, debian/rules: regenerate auto-stuff (closes: bug#176729)
  * debian/control, debian/rules: GCC C++ 3.2 transition (libglu1c102 -- ugly!)
  * remove Makefile.in from CVS control
  * si-glu/libnurbs/interface/Makefile.am: fix INCLUDES macro

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 19 Jan 2003 00:48:32 +0100

mesa (5.0.0-1) unstable; urgency=low

  * New upstream release, it looks like glide and GGI are in working
    condition again.
  * FX patches from previous releases gone.  They'll be back later.
  * debian/rules: some clean ups.
  * debian/control: add libglu1 packages
  * debian/control: Standards-Version: 3.5.8
  * debian/rules: Build Xt widgets (if you need this stuff, you need to depend
    on mesag-dev, libgl-dev is not enough)
  * debian/control, debian/rules: add mesa-common-dev package
  * debian/control, debian/rules: add osmesa packages.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 15 Dec 2002 12:28:49 +0100

mesa (4.0.3-1) unstable; urgency=low

  * New (and long delayed) upstream version
  * Redid a bunch of FX patches, probably broke.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 03 Oct 2002 11:27:29 +0200

mesa (3.5-1) unstable; urgency=low

  * New upstream version.
  * Redid patches.
  * Disabled building GGI target.  Someone with a good understanding of GGI
    needs to write a driver for mesa.  The old version doesn't cut it
    anymore.
  * Most makefiles won't work.  Copied them out of CVS.
  * src/Makefile.am: add -lm to library list.  (closes: bug#102717)
  * configure.in: adjust GLU's version info to match previous release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 25 Jun 2001 22:13:40 +0200

mesa3 (3.4.2.1-4) unstable; urgency=low

  * So, here's the deal: the 3Dfx backend is going nowhere in 4.x and 5.x is
    just arround the corner.  Same thing for the GGI stuff.  In order to leave
    the people who need this stuff with _something_ to work with, I'll compile
    those targets out of the mesa3 source package and the mesa package will
    stuck to plain old X.
  * debian/control, debian/rules: strip out all the parts concerning to mesa3g
    and mesa3g-dev
  * debian/control: update GGI architectures, let's see what happens
  * debian/rules: special case alpha for stripping options.  Chris, did you
    ever figure out what the problem actually is? (closes: bug#99284)
  * debian/rules: hereby I decree that everything in etc is a conffile.  Die
    future bugs, die!.
  * configure: fix ggi_libdir, ggi_confdir (closes: bug#139598)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 29 Sep 2002 11:21:00 +0200
 
mesa (3.4.2.1-3) unstable; urgency=low

  * Actually install widgets on the mesag-dev package (closes: bug#98988)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  9 Jun 2001 16:39:36 +0200

mesa (3.4.2.1-2) unstable; urgency=low

  * src/X/xmesa1.c: I knew it, I knew it.  This was bound to break.  Stupid
    typo.  Restored MESA_GLX_FX (got renamed to GLX_FX accidentally, if you
    have to know) (closes: bug#94114)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 21 May 2001 08:52:07 +0200

mesa (3.4.2.1-1) unstable; urgency=low

  * Upstream released 3.4.2.
  * Hmmm... thought about it on my way home.  The code to parse 3dfx.conf
    is wrong.  Redid.  Still not tested.  (closes: bug#94114)
  * debian/README.Debian: document 3dfx.conf

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 19 May 2001 11:57:33 +0200

mesa (3.4.2-1) unstable; urgency=low

  * New upstream version.
  * debian/config.guess, debian/config.sub: newest versions from
    http://subversions.gnu.org/cgi-bin/cvsweb/config (closes: bug#95338)
  * GAAAAAAARGGH! src/X/xmesa1.c: horrible hack to use /etc/mesa/3dfx.conf
    if there's no MESA_GLX_FX environment variable defined.  I.  Hate.
    This.  I'll make a deal with you: you find another of these things,
    and you send me a nice tested patch.  I don't have a 3DFX card and I
    *HATE* uploading stuff I can't fully test. (closes: bug#94114)
  * debian/rules: use the new files
  * debian/rules: s/TMPDIR/DTEMPDIR/g
  * gl3DfxSetDitherModeEXT from Zephaniah (closes: bug#65860)
  * Disable GL_EXT_shared_texture_palette per default.  Patch looks funny,
    but I'll blindly trust Zephaniah.
  * Hmmm... I hope Zephaniah tested this, because it broke in a rather silly
    way at compile time.
  * Fancy what people regard as "pretty important".

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 18 May 2001 09:23:49 +0200

mesa (3.4.1-3) unstable; urgency=low

  * PLEASE SUBMIT NMUs TO THE BTS, DAMN IT!
  * debian/control: exclude m68k from libggi2-dev build-dependency.
 
 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 17 Mar 2001 19:45:09 +0100

mesa (3.4.1-2) unstable; urgency=low

  * debian/control: add missing dependency on xlibs-dev and corrected the
    one for libglide2-dev
 
 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 14 Mar 2001 00:21:42 +0100

mesa (3.4.1-1) unstable; urgency=low

  * New upstream version.
  * New maintainer. (closes: bug#81139)
  * Some fixes to get it to compile.
  * debian/rules: some reorganization happened to allow me test different
    builds better.
  * debian/control: nuked widgets package, if you miss it, you are doing
    something wrong.
  * debian/rules: -dev packages will be missing some garbage they used to
    install.  If you miss any of those files, I'm fairly confident you
    are doing something wrong.
  * configure, ltmain.sh, aclocal.m4, acinclude.m4, ...: vicious hacks to
    allow the GGI version to compile.
  * TODO: add the widgets to the packages
  * TODO: make OSmesa packages

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 10 Feb 2001 18:34:13 +0100

mesa (3.2.1-1) unstable; urgency=low

  * New upstream version.

 -- James A. Treacy <treacy@debian.org>  Mon, 31 Jul 2000 15:13:34 -0400

mesa (3.2-2) frozen unstable; urgency=low

  * add MMX and 3Dnow opts for x86.

 -- James A. Treacy <treacy@debian.org>  Fri,  7 Jul 2000 16:06:43 -0400

mesa (3.2-1) frozen unstable; urgency=low

  * New upstream version.
  * Made minor changes to README.3DFX. Closes bug#56827
  * Added symlinks for mesa widget libraries. Closes bug#63115

 -- James A. Treacy <treacy@debian.org>  Wed, 28 Jun 2000 11:21:09 -0400

mesa (3.1-17) frozen unstable; urgency=low

  * Fixed Makefile for demos in mesag-widgets-dev. Closes bug#62674

 -- James A. Treacy <treacy@debian.org>  Fri, 19 May 2000 13:23:00 -0400

mesa (3.1-16) frozen unstable; urgency=low

  * Add --prefix=/usr to ggi build. Closes bug#61705, #61486

 -- James A. Treacy <treacy@debian.org>  Wed, 12 Apr 2000 15:12:48 -0400

mesa (3.1-15) frozen unstable; urgency=low

  * Remove ggi from the build on m68k. Closes bug#59273

 -- James A. Treacy <treacy@debian.org>  Mon,  6 Mar 2000 13:20:29 -0500

mesa (3.1-14) frozen unstable; urgency=low

  * Fixed hard-coded location of config file in library. This is release
    critical, even though no bug was filed (relates to bug#58267).

 -- James A. Treacy <treacy@debian.org>  Mon, 28 Feb 2000 10:58:34 -0500

mesa (3.1-13) frozen unstable; urgency=low

  * Add missing ggi libraries. Closes bug#58267, #57760

 -- James A. Treacy <treacy@debian.org>  Thu, 24 Feb 2000 00:59:30 -0500

mesa (3.1-12) frozen unstable; urgency=low

  * Dependencies are now computed in a more intelligent way. Closes: bug#55861

 -- James A. Treacy <treacy@debian.org>  Fri, 21 Jan 2000 16:26:40 -0500

mesa (3.1-11) frozen unstable; urgency=low

  * Remove svgalib support from the software only package of mesa

 -- James A. Treacy <treacy@debian.org>  Sat, 22 Jan 2000 05:33:13 +0000

mesa (3.1-10) frozen unstable; urgency=low

  * Fix the mesag3-glide2 postinst. Closes bug#55462

 -- James A. Treacy <treacy@debian.org>  Sat, 22 Jan 2000 02:06:27 +0000

mesa (3.1-9) frozen unstable; urgency=low

  * The ggi based packages are now built with the other versions of mesa. Closes: bug#49218, #55221

 -- James A. Treacy <treacy@debian.org>  Sat, 15 Jan 2000 22:24:13 -0500

mesa (3.1-8) unstable; urgency=low

  * fixed the postinst and prerm for the glide packages
  * added Provides: mesag-dev to the mesag-glide2-dev package to maintain
    backwards compatability

 -- James A. Treacy <treacy@debian.org>  Sat, 15 Jan 2000 01:01:58 -0500

mesa (3.1-7) unstable; urgency=low

  * Fix version number for soname in the shlib file. Closes: bug#54926

 -- James A. Treacy <treacy@debian.org>  Thu, 13 Jan 2000 01:37:03 -0500

mesa (3.1-6) unstable; urgency=low

  * Include docs/README.3DFX in mesag3-glide2 package. Closes: bug#54625
  * Remove Provides: libgl1 from mesag3-widgets. Closes: bug#54774
  * conflicts with older versions of mesa. Closes: bug#54831

 -- James A. Treacy <treacy@debian.org>  Mon, 10 Jan 2000 11:50:49 -0500

mesa (3.1-5) unstable; urgency=low

  * now Conflicts: libgl1
  * remove extra '.' in library name

 -- James A. Treacy <treacy@debian.org>  Sun,  9 Jan 2000 20:47:31 -0500

mesa (3.1-4) unstable; urgency=low

  * Added links libGL.so.1 <- libMesaGL.so.3 so existing progs don't break
  * Copyright changed for version 3.1

 -- James A. Treacy <treacy@debian.org>  Thu,  6 Jan 2000 17:11:11 -0500

mesa (3.1-3) unstable; urgency=low

  * copyright file now refers to /usr/share/common-license/LGPL.

 -- James A. Treacy <treacy@debian.org>  Tue,  4 Jan 2000 11:50:45 -0500

mesa (3.1-2) unstable; urgency=low

  * Second try. Fixed shlibs file.

 -- James A. Treacy <treacy@debian.org>  Tue,  4 Jan 2000 00:00:29 -0500

mesa (3.1-1) unstable; urgency=low

  * New upstream version.
  * glide version of packages added, since glide is now under the GPL.
  * mesa widget libraries are now in a separate package
  * library names are changed to lib{GL,GLU}.*

 -- James A. Treacy <treacy@debian.org>  Tue, 14 Dec 1999 10:06:14 -0500

mesa (3.0-2) unstable; urgency=low

  * added symlinks from libMesaGL* -> libGL*. Fixes bug #37160
  * added lines (commented out) for building a glide version of mesa. Fixes bug #39758

 -- James A. Treacy <treacy@debian.org>  Thu, 13 May 1999 01:02:42 -0400

mesa (3.0-1) unstable; urgency=low

  * mesa libs moved to /usr/lib. Fixes bug #26874
  * motif widget library libMesaGLwM added (compiled using headers from lesstif). Fixes bug #25380

 -- James A. Treacy <treacy@debian.org>  Thu,  6 Aug 1998 13:49:37 -0400

mesa (2.6-4) unstable; urgency=low

  * call to ldconfig in postinst put back in. Fixes bug #20552
  * changelog.Debian file created for the mesa-doc package.
  * deleted miscellaneous files. Fixes bug #21481

 -- James A. Treacy <treacy@debian.org>  Sat, 23 May 1998 23:41:34 -0400

mesa (2.6-3) frozen unstable; urgency=low

  * No changes. Just trying (again) to get this back in the distribution

 -- James A. Treacy <treacy@debian.org>  Tue, 24 Mar 1998 00:53:09 -0500

mesa (2.6-2) unstable frozen; urgency=low

  * point copyright to LPGL in /usr/doc/copyright. Fixes bug #19633

 -- James A. Treacy <treacy@debian.org>  Sun, 15 Mar 1998 14:00:33 -0500

mesa (2.6-1) unstable; urgency=low

  * New upstream Release
  * strip static lib with --strip-debug and shared with strip--unneeded: Fixes bug#17301
  * create doc package in build-indep: Fixes bug#16090
  * added widgets-mesa library to package: Fixes bug#15729
  * created mesa-glide* packages

 -- James A. Treacy <treacy@debian.org>  Mon, 19 Jan 1998 23:45:50 -0500

mesa (2.5-2) unstable; urgency=low

  * Corrected i386 specific debian/rules file: Fixes bug#15640

 -- James A. Treacy <treacy@debian.org>  Fri,  5 Nov 1997 11:46:13 -0500

mesa (2.5-1) unstable; urgency=low

  * New upstream release.

 -- James A. Treacy <treacy@debian.org>  Sun, 23 Nov 1997 20:46:13 -0500

mesa (2.4-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.
  * libc6 release.

 -- James A. Treacy <treacy@debian.org>  Mon,  3 Nov 1997 01:11:34 -0500

mesa (2.2-2) unstable; urgency=low

  * debian/control: mesa-doc no longer depends on mesa (bug #8840).

 -- Karl Sackett <krs@debian.org>  Wed, 30 Apr 1997 10:25:25 -0500

mesa (2.2-1) unstable; urgency=low

  * New upstream release.
  * Make-config: linux-elf libraries compiled with -D_REENTRANT.

 -- Karl Sackett <krs@debian.org>  Wed, 19 Mar 1997 09:10:22 -0600

mesa (2.1-4) unstable; urgency=low

  * debian/control: lib packages moved from 'graphics' to 'libs'.
  * debian/rules: headers moved from /usr/include/mesa to /usr/include
    (no more -I/usr/include/mesa).

 -- Karl Sackett <krs@debian.org>  Tue, 25 Feb 1997 09:30:23 -0600

mesa (2.1-3) unstable; urgency=low

  * debian/control: mesa2 provides mesa and conflicts with mesa
    (bug #7394).

 -- Karl Sackett <krs@debian.org>  Mon, 17 Feb 1997 09:25:42 -0600

mesa (2.1-2) unstable; urgency=low

  * debian/rules: install gmesa.h, osmesa.h, FooMesa.h in mesa-dev
    (bug #6864).

 -- Karl Sackett <krs@debian.org>  Tue, 28 Jan 1997 09:37:41 -0600

mesa (2.1-1) unstable; urgency=low

  * New upstream release.
  * Added soname to mesa and mesa-widgets.
  * Moved static libraries to mesa2-dbg.
  * debian/postinst, postinst-widgets: call ldconfig without explicit
    pathname (bugs #6176, 6180).

 -- Karl Sackett <krs@debian.org>  Mon, 6 Jan 1997 09:30:10 -0600

mesa (2.0-2) unstable; urgency=low

  * Created mesa-widgets and mesa-widgets-dev (Bug #5029).

 -- Karl Sackett <krs@debian.org>  Wed, 30 Oct 1996 08:44:19 -0600

mesa (2.0-1) unstable; urgency=low

  * src/draw.c: replaced with upstream patch.
  * Make-config: linux-elf target builds libMesaGLw.so library, looks
    for XLIBS in /usr/X11R6/lib, removed -mieee-mp from CFLAGS.
  * widgets-sgi/Makefile: builds libMesaGlw.a library
  * New upstream release.
  * Converted to new package standard.
  * Maintainer address changed.

 -- Karl Sackett <krs@debian.org>  Mon, 14 Oct 1996 15:37:19 -0500

1.2.8-3
  * Package split into runtime, development, and documentation
    packages.
  * widgets now made as a sharable library.
  * GLUT removed.  This will be released as a separate package.

1.2.8-2
  * Support files now architecture-independent

1.2.8-1
  * Upgrade to latest release
  * Brought support files up to latest packaging requirements
  * mondello/Makefile: fixed error in realclean target

1.2.7-2
  * debian.rules: clean all Makefiles out of widgets directory
  * debian.postrm: remove /usr/lib/mesa entry from /etc/ld.so.config
    (bug #2817)

1.2.7-1
  * Added Debian support files
  * Included the GLUT OpenGL Utility Toolkit
  * Makefile - disable building programs in demos, samples, and book
    directories
  * mklib.linux - disabled building *.a libraries
  * widgets/Makefile.in - disabled building demo programs
